.;SETUP
.; Last edited 16-Apr-82 by C. Spalding
.;
.; NOTE:  This RNO file was derived from a version received from DECUS
.;	  with RUNOFF, version M02.  However, this file is NOT compatible
.;	  with that version of RUNOFF.  Version M03X must be used.
.;
.; Settings for optional text segments
.;
.;	Select ONE of the following three options:
.;	    (otherwise changes to the table of contents are required)
.;
.include 1	! Operating procedures for RSX/IAS
.exclude 2	! Operating procedures for RSTS/E
.exclude 3	! Operating procedures for RT-11 (reserved for future use)
.;
.; INCLUDE or EXCLUDE each of the following options:
.;
.exclude 4	! Alternating output?
.include 5	! Editing directions on first page in DOC file?
.include 6	! Note on editing output file for RSX?
.;
.; End of option settings
.;
.; DOCUMENT SETUP
.;
.option 4		! Optionally alternate with 6-space offset
.alternate 6
.alternating title
.end option 4
.fill
.flags hyphenate
.layout ,57,,72
.no header
.no number
.paragraph 0
.;
.; The following lines are output to the DOC file if option 5 is selected
.;
.option 5
.no fill
.;
POST-EDITING TO BE DONE TO THE OUTPUT "DOC" FILE:

    1.	Pg. I-5			  Compare page numbers with CONTENTS;
					delete to bottom of the page
    2.	Pg. 1		 	  Delete the page
.;
.number 1	! Reset page number for correct even/odd alternating
.no number	! But don't number the pages yet
.page
.end option 5

.;TITLE PAGE
.fill
#
.skip 20

.center RUNOFF Documentation Preparation Program

.s 3

.center ,- User's Manual -

.s 18

.center Program Version:  M03X

.s

.center Program Revision#
.center ,16 April 1982

.s

.center Document Revision
.center ,16 April 1982

.;COPYRIGHT PAGE
.page
#
.skip 12
.c Copyright (c) 1982, DECUS

.s 3

General permission to copy or modify, but not for profit, is hereby
granted provided that the above copyright notice is included and
reference is made to the fact that reproduction privileges were granted
by DECUS.

.s

The information in this document is subject to change without notice and
should not be construed as a commitment by Digital Equipment Corporation
or by DECUS.

.s

No warranty, expressed or implied, is made by the contributor(s), DECUS
or Digital Equipment Corporation as to the accuracy or functioning of
the software or related material, and no responsibility is assumed by
these parties in connection therewith.

.s

The described software is made available without any support whatsoever.
If you are responsible for implementation of this system, you should
expect to have to understand and modify the source code if you encounter
any problems in implementing or maintaining the software.

.s -3

DECUS, IAS, RSTS and RSX are trademarks of Digital Equipment Corp.

.;T of C
.header blank
.pg
.nf
.c TABLE OF CONTENTS



Chapter 1:  INTRODUCTION  . . . . . . . . . . . . . . . . . . . . .  1-1

	    1.1  Overview . . . . . . . . . . . . . . . . . . . . .  1-2

	    1.2  Notation . . . . . . . . . . . . . . . . . . . . .  1-2


Chapter 2:  INPUT FILE FORMAT . . . . . . . . . . . . . . . . . . .  2-1

	    2.1  Special Characters . . . . . . . . . . . . . . . .  2-2


Chapter 3:  RUNOFF COMMANDS . . . . . . . . . . . . . . . . . . . .  3-1

	    3.1  Command Syntax . . . . . . . . . . . . . . . . . .  3-1

		 3.1.1  Numeric Arguments . . . . . . . . . . . . .  3-1

		 3.1.2  Text Arguments  . . . . . . . . . . . . . .  3-2

		 3.1.3  Optional Arguments  . . . . . . . . . . . .  3-2

		 3.1.4  Default Values  . . . . . . . . . . . . . .  3-3

	    3.2  Page Header Commands . . . . . . . . . . . . . . .  3-3

	    3.3  Mode Setting Commands  . . . . . . . . . . . . . .  3-5

	    3.4  Parameter Setting Commands . . . . . . . . . . . .  3-9

	    3.5  Text Formatting Commands . . . . . . . . . . . . . 3-11

	    3.6  Page Formatting Commands . . . . . . . . . . . . . 3-17

	    3.7  Index Processing Commands  . . . . . . . . . . . . 3-20


.option 1
Chapter 4:  RSX/IAS OPERATING PROCEDURES  . . . . . . . . . . . . .  4-1
.end option 1.option 2
Chapter 4:  RSTS/E OPERATING PROCEDURES . . . . . . . . . . . . . .  4-1
.end option 2

	    4.1  Initiating RUNOFF  . . . . . . . . . . . . . . . .  4-1

	    4.2  RUNOFF Command String  . . . . . . . . . . . . . .  4-1

		 4.2.1  File Specifications . . . . . . . . . . . .  4-1

		 4.2.2  RUNOFF Switches . . . . . . . . . . . . . .  4-2


Appendix A:  RUNOFF ERROR MESSAGES  . . . . . . . . . . . . . . . .  A-1


Appendix B:  PAGE LAYOUT AND MARGIN CONTROL . . . . . . . . . . . .  B-1

	     B.1  Vertical Positioning  . . . . . . . . . . . . . .  B-1

	     B.2  Horizontal Positioning  . . . . . . . . . . . . .  B-1


Appendix C:  CASE INFORMATION . . . . . . . . . . . . . . . . . . .  C-1


Appendix D:  SPECIAL CHARACTERS . . . . . . . . . . . . . . . . . .  D-1


Appendix E:  INITIAL PARAMETER AND MODE SETTINGS  . . . . . . . . .  E-1


Appendix F:  ALPHABETICAL LIST OF COMMANDS  . . . . . . . . . . . .  F-1


INDEX . . . . . . . . . . . . . . . . . . . . . . . . . . . . .  Index-1
.f

.;INTRODUCTION
.header blank
.t
.st
.even (This page intentionally left blank.)
.number
.chapter INTRODUCTION
.x ~>C1 INTRODUCTION

RUNOFF#(RNO) is a program to facilitate the preparation of typed or
printed manuscripts, such as memos, manuals, etc.  To use RUNOFF, the
user prepares his material on any regular terminal, writing it onto a
file using a text editor.  The user includes not only the textual
=material of the document, but also instructions to RUNOFF which
determine how the information will appear in the final manuscript.
RUNOFF takes the file and reproduces it onto the line printer, the
terminal or another file to produce a final copy or final file image.
In the process RUNOFF follows the user instructions embedded in the
file, performing such formatting actions as line justification, page
numbering and titling, etc.  RUNOFF can also perform additional
functions such as compilation of an index.

.s

The principal benefit of such a program is that documents prepared with
it may be easily edited and corrected.  Small or large amounts of text
may be added or deleted, and unchanged material need not be retyped.
After a set of changes, RUNOFF may be run to produce a new output copy
which is properly formatted and paginated.  Documentation may thus be
updated as necessary without requiring extensive retyping or editing.

.s

Briefly, the procedure for producing a manuscript using RUNOFF is as
follows:

.list
.le Use a text editor to compose the input file, including
commands to RUNOFF to control the format of the final manuscript.

.le Apply RUNOFF to the input file, producing an output document.

.le Review the output document for anything which doesn't satisfy you.
For example, you can scan the output file with the same text editor
that was used to create the input file, or the =document can be printed
for review.

.le If necessary, edit the ^&input\& file to change the text and RUNOFF
commands.

.le Repeat the above sequence of steps as required to achieve the
desired manuscript.
.end list

.st Overview
.hl 1 ^&OVERVIEW\&
.x ~>C1.1 Overview
.x Overview

The next chapter describes the format of the input file(s) read by
=RUNOFF to create the desired output document file.  Certain characters
which have special significance to RUNOFF are explained.

.s.tp 2,5

Chapter 3 describes all the RUNOFF commands in detail.  The final chapter
explains how to use RUNOFF to process input files into formatted document
files.  That includes the use of command-line switches to control the
operation of RUNOFF in ways which may override commands in the input
file(s).

.s

The appendices include

.s.lm +8
.i -3
o# Complete list of the messages output by RUNOFF to the user's terminal
.s.i -3
o# A discussion of the provisions for controlling the page layout and
margins of the output document
.s.i-3
o# A description of how case information can be specified with a
terminal capable of only uppercase operation
.s.i-3
o# A review of the characters with special meaning to RUNOFF
.s.i-3
o# A list of the initial conditions in effect when RUNOFF execution begins
.s.i -3
o# A complete list of all RUNOFF commands and their abbreviations
.lm -8

.hl 1 ^&NOTATION\&
.x ~>C1.2 Notation
.x Notation
.x Angle brackets

Two shortened notations are used in this manual.  Angle brackets (<#>)
are used to enclose an item which describes the actual argument to
appear.  Thus the user can supply the appropriate item in that position
when entering the command.  Note that these brackets are used in this
manual only for clarification and are ^&never\& to be included as part
of a command.

.s.tp 5
.x Brackets
.x Square brackets
.y Arguments
.x Arguments>optional
.y Optional
.x Optional>command arguments

Many RUNOFF commands have optional arguments.  In the descriptions in
this manual, optional arguments are enclosed in square brackets ([#]).
Once again, the square brackets are never included when a command is
used.


.;INPUT FILE
.t
.st
.even (This page intentionally left blank.)
.chapter INPUT FILE FORMAT
.x ~>C2 INPUT FILE FORMAT
.x Input-file format
.x Source-file format

As mentioned above, the input or source file contains the textual
=material which will appear in the final copy, plus information to
specify formatting.  Case-control information also may be supplied so
that copy can be prepared on a terminal or other such device which can
input only uppercase letters (see Appendix C).  All command information
consists of regular ASCII printing characters so that a listing of the
input file may be examined if the final copy is not =exactly as desired.

.s
.x Command>line
.x Period character
.x #_.  (command character)

All material in the source file is taken to be source text except those
lines with a period in column one.  A line beginning with a period is
assumed to contain command information to RUNOFF.  The commands must be
among those listed in Chapter 3.  The commands provide the formatting
information, and control various modes of operation.

.s
.x Filling of text
.x Justification of text

Usually the text is filled and justified as it is processed.  That is,
the program fills each line by adding successive words from the source
text until one more word would cause the text right margin to be
exceeded.  The line is then justified by making the word spacings larger
until the last word in the line exactly meets the text right margin.

.s
.x Hyphenation

If desired, the last word on a line can automatically be hyphenated if
that will help make the filling more even.  You should be aware,
however, that RUNOFF's hyphenation algorithm is not perfect.  If you
want the output document to be correctly literate, you should review all
the hyphenations introduced by RUNOFF to make sure they are correct.
There is a special character which can be used to either disable
hyphenation of a specific word, or to specify where a word should be
hyphenated if a break is needed.  This control must be applied to every
word not handled correctly by RUNOFF, which is admittedly inconvenient.
The added control characters are transparent, however, so once they are
put into the input file they need not be removed if the text changes and
an affected word moves away from the margin.

.s
.x Literals

The user may occasionally wish to reproduce the source text exactly,
which is done by disabling filling and justification or by use of the
LITERAL command.  The program may be set to fill but not justify, in
which case the output will be normal except that lines will not be
=justified to the text right margin.  The program may also be set to
=justify but not fill, although this would probably produce peculiar
=results and is not recommended.

.s
.x Space
.y Word
.x Word>spacing

When fill mode is on, spaces, and carriage returns occurring in the
input text are treated only as word separators.  Multiple separators
are treated as one separator.  Thus, material in the input can be
entered without concern for its appearance and RUNOFF will take care
of making the output document tidy.

.s
.x Break

Some of the commands cause a "break" in the output.  A break means that
the current line is output without justification, and the next word goes
at the beginning of the next line.  For example, this occurs at the end
of paragraphs.

.s.tp 2,4
.x Page#>numbering
.x Title

The program will advance to new pages as necessary, placing the title
(if given) and the page number at the top of each page.  The user may
call explicitly for a page advance where desired, and may inhibit the
occurrence of a page advance within specified material.

.s.tp 2,4

This manual was prepared with RUNOFF, so you can get an idea how things
are formatted by looking at its source file.  For example, the page and
chapter headings, page numbering, footnotes, notes within the text,
lists, the index, etc.#were all produced with RUNOFF commands.

.st Special Characters
.tp 9
.hl 1 ^&SPECIAL CHARACTERS\&
.x ~>C2.1 Special Characters
.x Special characters

The following characters have special interpretations whenever they are
encountered in an input file.  This must always be kept in mind because
it is sometimes desired to have these characters appear in the output.
The first special character described below is used to achieve that.

.s.tp 4.lm +5
.i -5,__##Underbar#######Quote next character *

.footnote 5
.s
*##The #QUOTE CHARACTER# command can be used to change the character
used as the quote character.  This is useful in certain special cases.
If the quote character is changed, the new quote character becomes a
"special character" and the underbar character ceases to be one.
!

.x Underbar character
.x #__  (quote character)
.x Quote character
.s

To allow the appearance of the special characters in the output, the
underbar character ("__"#[137#octal]) is used as a quote character.  That
is, the character immediately following an underbar will be transmitted
to the output with no formatting effect.  The underbar itself is thus
another case requiring quoting.  The following cases can occur:  "____",
"___&", "___#", "___^", "___\", "___=", "___<" and "___>".

.s.tp 4
.i -5,_&##Ampersand######Underscoring
.x Ampersand character
.x #_&  (underscore character)
.x Underlining
.s

The ampersand character ("_&"#[046#octal]) is used to specify
underscoring.  The ampersand will cause the character following it
to be underlined; for example, "_&f_&o_&o" becomes "^&foo\&".

.s

Underlining of a string of characters can also be specified in a
manner similar to that of a shift-lock operation.  An appearance
of ampersand preceded by circumflex ("_^_&") will cause underlining
of all following characters except space and tab.  An appearance
of ampersand preceded by backslash ("_\_&") will disable this mode.

.s

To make an ampersand appear in the printed text, it must be
=preceded by the quote character ("___&").

.s.tp 4
.i -5,_###Number Sign####Explicit space
.x Number-sign character
.x #_#  (explicit-space character)
.x Space
.x Explicit space
.x Quoted space
.s

It is occasionally necessary to include spaces in the text which
should not be treated as word separators.  For this purpose, RUNOFF
treats the number-sign character ("_#"#[43#octal]) as a quoted space.
That is, it will print as exactly one space in the output and will
never be expanded nor changed to a carriage return.  To make a
number sign appear in the printed text, it must be preceded by the
quote character ("___#").

.s.tp 4,7,3
.i -5,_^##Circumflex#####Upper-case shift or mode lock
.x Carat character
.x Circumflex character
.x #_^  (shift character)
.x Shift lock
.y Mode
.x Mode>lock
.s

The circumflex character ("_^"#[136#octal]) is used to convert the letter
following to uppercase (see Appendix C).  It is also used to lock the
case mode in uppercase, and the underline mode to "underline all text."
If it is to appear in the printed text, a circumflex must be preceded
by the quote character ("___^").

.s.tp 4
.i -5,_\##Backslash######Lower-case shift or mode unlock
.x Backslash character
.x #_\  (unlock character)
.x Shift lock
.x Mode>unlock
.s

The backslash character ("_\"#[134#octal]) is used to output the letter
following in lowercase (see Appendix C).  It is also used to lock
the case mode in lowercase, and to disable underlining.  If it is
to appear in the printed text, a backslash must be preceded by the
quote character ("___\").

.s.tp 4
.i -5,_=##Equal sign#####Hyphenation disable/specification
.x Equal-sign character
.x #_=  (hyphenation flag character)
.x Word>hyphenation
.x Hyphenation>disable/specification
.x Preferred hyphen
.s

If a #FLAGS HYPHENATE# command has been issued, the equal-sign
character ("_="#[75#octal]) takes on two functions intended to allow
overriding of =RUNOFF's hyphenation algorithm.  If an equal sign
precedes a word, hyphenation is disabled for the word.  If an equal
sign is embedded within a word, it specifies a point at which the
word should be hyphenated if necessary (in this case the word will
only be hyphen=ated at such marked points, or at explicit hyphens in
the input).

.s.tp 3

If a #FLAGS HYPHENATE# command has been issued and an equal sign is
to appear in the printed text, it must be preceded by the quote
character ("___=").

.s.tp 4,6,2
.i -5,_<##Less than######Capitalize next word
.x Less-than character
.x #_<  (capitalization character)
.x Word>capitalization
.x Capitalize word
.s

If a #FLAGS#CAPITALIZE# command has been issued, the less-than
character ("_<"#[74#octal]) is used to capitalize the entire word
it precedes.  Then, if it is to appear in the printed text, a
less-than character must be preceded by the quote character ("___<").

.s.tp 4
.i -5,_>##Greater than###Subindex next word
.x Greater-than character
.x #_>  (subindex flag character)
.x Subindex>flag character
.s

If #FLAGS#SUBINDEX# is in effect (the initial condition), the
greater-than character ("_>"#[76#octal]) is a special character
used in #ENTRY or INDEX# commands to indicate that the following
text is to be entered in the index as a subentry under the text
preceding the greater-than character.

.s.tp 2

Unlike the other special characters above, the greater-than
character can appear in the text without having to use the quote
character.  In order to have a greater-than character appear in the
index, however, one must disable it as a special character with the
NO FLAGS SUBINDEX# command, or precede the greater-than character
with the quote character ("___>").

.lm -5 .rm

.;COMMANDS
.t
.st
.even (This page intentionally left blank.)
.chapter RUNOFF COMMANDS
.x ~>C3 RUNOFF COMMANDS
.x RUNOFF commands
.x Period character
.x #_.  (command character)

The commands described in this chapter will be recognized if they are in
a command line.  Any line in the source file with a period in column one
is assumed to be a command line.  If a command line is found to contain
an invalid command, an error message will be displayed on the user's
ter=minal and ^&the remainder of that command will be ignored\&.

.st Syntax
.hl 1 ^&COMMAND SYNTAX\&
.x ~>C3.1 Command Syntax
.x Command>syntax
.x Syntax, command

Commands can be entered in either uppercase or lowercase (for clarity,
all commands are shown in uppercase in this manual).  Multi-word command
names may appear either spaced out or compressed.  Thus, for example,
both "NO#HEADER" and "NOHEADER" are legal.  When spaced out, command
words can be separated by one or more spaces and/or tabs.  Many commands
may be abbreviated.  Acceptable abbreviations are shown along with the
commands in this chapter.

.s

In general, more than one command may be entered on a single command
line.  However, those commands which accept a text argument must be the
last command on a line.  If multiple commands are on a line, each
command must begin with a period.  Semicolons may optionally be used
to further separate commands.

.s

Some commands take one or more arguments.  These are separated from the
command name by one or more spaces and/or tabs.  If a command can have
multiple arguments, the arguments can generally be separated by commas,
spaces or tabs.

.hl 2 Numeric Arguments
.x ~>C3.1.1 Numeric Arguments
.x Numeric arguments
.x Relative arguments
.x Arguments>numeric
.x Arguments>relative

Numeric arguments are always considered to be decimal values.  Some
commands accept signed numeric arguments.  In most cases such signed
values are used to modify the current value for the corresponding
parameter.  For example, ".LEFT MARGIN 5" would set the left margin to
five spaces from the left edge of the page, but ".LEFT MARGIN +5" would
move the left margin five spaces to the right from its position at the
time.

.s
.x Relative arguments
.x Arguments>relative

The following commands will accept relative numeric arguments:

.s.tp 6
.c ALTERNATE                   NUMBER      #
.c AUTOSUBTITLE                PAGE SIZE   #
.c CENTER                      RIGHT JUSTIFY
.c HEADER                      RIGHT MARGIN#
.c LAYOUT                      STANDARD    #
.c LEFT MARGIN                 TAB STOPS   #

.hl 2 Text Arguments
.x ~>C3.1.2 Text Arguments
.x Text arguments
.x Arguments>text

Several RUNOFF commands take a text argument.  For example, the TITLE
command takes the text string to be used for the title in page headers.
The text argument is assumed to begin with the first non-blank character
after the command name.  Commands which take a text argument cannot be
followed by any other command on the same line because the remainder of
the line is taken to be the text argument.

.s

There are several commands which take a numeric argument and a text
argument (e.g., the CENTER command).  A semicolon can be used to
separate the numeric argument from the text argument, in which case the
text =argument starts immediately after the semicolon.  Otherwise, all
spaces and tabs between the arguments are ignored.  Some commands allow
the text argument to be placed on the line after the command line--if
that is done, a semicolon cannot be used and a comma is not needed.

.hl 2 Optional Arguments
.x ~>C3.1.3 Optional Arguments
.x Arguments>optional
.x Optional>command arguments
.x Commas

Many RUNOFF commands will assume a default value for an argument which
is omitted.  Thus those arguments are optional.  (Recall that optional
arguments are shown enclosed in brackets in this manual.) If an optional
argument is omitted, and a subsequent argument for the command is
explicitly specified, commas must be provided as required to properly
position the arguments.  For example, the #HEADER# command has the form

.s
.c _.HEADER [<style>],[<length>],[<left>],[<right>]
.s

If only the second and third arguments are to be specified (i.e., the
defaults are acceptable for the others), the command can be entered as

.s
.c _.HEADER ,4,5
.s

Note that a leading comma must be included to properly position the
=second argument, and no comma is needed after the third argument since
no more arguments follow.

.s

For commands which take a numeric argument and a text argument: if the
numeric argument is optional and is omitted, a comma or semicolon must
be used to set off the text only if it begins with a number or sign
(i.e., when it could be confused for the numeric argument).

.hl 2 Default Values
.x ~>C3.1.4 Default Values
.y Values
.x Values>default
.x Values>initial
.x Default values
.x Initial settings

^&Initial values\& are assumed for all parameters whenever RUNOFF
execution begins.  Those values are noted in the descriptions of the
commands in this chapter and are summarized in Appendix E.

.s

A ^&default value\& is assumed whenever an optional argument is omitted
from a command.  The individual command descriptions describe the
default value assumed for each optional argument.

.;PAGE HEADER
.st Page Header Commands
.tp 12
.hl 1 ^&PAGE HEADER COMMANDS\&
.x ~>C3.2 Page Header Commands
.x Page#>header
.y Commands
.x Commands>page header

The following commands can be used to control the appearance of a
header at the top of each page of the output document.

.lm +5
.s 2.tp 6
.x HEADER command
.x Page#>header
.x Length>header
.y Margin
.x Margin>header
.x Title
.i -5,_.HEADER [<style>],[<length>],[<left>],[<right>]
.s
.rj _.HD [<style>],[<length>],[<left>],[<right>]
.s

Turns on the printing of a page header on each page (title,
sub=title and page number) and sets how the word "page" will be
printed.  The "style" argument should be "MIXED" to specify "Page",
"UPPER" for "PAGE", "LOWER" for "page", or "BLANK" to have the word
suppressed.  The initial setting is HEADER MIXED, and MIXED is the
default if no style is provided.

.s.tp 2

This command also sets the size of page headers.  The last three
arguments have the following meanings:  (1) "length" is the number
of lines in the page header; (2) "left" and (3) "right" are
the header left and right margins, respectively.  The initial
=values are 5, 0, and 60, respectively, and omitted arguments are
not changed from their value at the time the command is processed.

.s

See Appendix B for a complete description of page layout and =margins.

.s.tp 5
.x NO HEADER command
.i -5,_.NO HEADER
.rj _.NHD
.s

Causes the page header (title, subtitle, and page number) to be
=omitted.  The header lines are completely omitted, so that text
=begins at the top of the page.

.s.tp 7
.x TITLE command
.x Page#>header
.i -5,_.TITLE [<text>]
.rj _.T [<text>]
.s

Takes the remaining text as the title for output in page headers on
the top line.  The default is no title.  Thus, if a title is
=desired, this command must be entered in the source file.  A
pre=viously set title can be cancelled by using this command with
no text.  The title can be up to 80 characters long.

.s.tp 6
.x FIRST TITLE command
.x Page#>header
.x Title
.i -5,_.FIRST TITLE <text>
.rj _.FT <text>
.s

Same as TITLE, but used to specify the title to be printed on the
first page of the document.  This command must precede all text in
the source file.  Use of the FIRST TITLE command is the only way to
print a title line on the first page of the document.

.s.tp 5
.x SUBTITLE command
.x Page#>header
.x Subtitle
.x Title
.x AUTOSUBTITLE command
.i -5,_.SUBTITLE [<text>]
.rj _.SUBTTL [<text>]
.rj _.ST [<text>]
.s

Takes the remaining text as the subtitle for output in page
headers.  It appears directly under the title unless #ALTERNATING
TITLE# is in effect (see below).  The subtitle is not indented, but
indentation can be achieved by using leading explicit spaces (_#).
A pre=viously set subtitle can be cancelled by using this command
with no text.  Note that the subtitle will be set by #HEADER#LEVEL
commands if =AUTOSUBTITLE# is active (see below).  The subtitle can
be up to 80 characters long.

.s.tp 8
.x AUTOSUBTITLE command
.x HEADER LEVEL command
.x Subtitle
.i -5,_.AUTOSUBTITLE [<level>]
.rj _.AS [<level>]
.s

Controls the automatic setting of the subtitle when HEADER#LEVEL
commands are processed.  This feature is disabled when <level> is
zero (the initial setting).  A nonzero value causes the subtitle to
be set to the HEADER#LEVEL text for all levels up to and including
the specified level (the default is 1).  (Note that the subtitle
will not be output properly if the text is underlined.)

.s.tp 5
.x PAGE NAME command
.x Page#>name
.x Page#>header
.i -5,_.PAGE NAME [<text>]
.rj _.PN [<text>]
.s

Takes the remaining text as a string to be output as a prefix to
the page number on subsequent pages.  It appears after the word
"Page" (unless it is suppressed by a HEADER#BLANK...#command) and
is separated from the page number by a hyphen ("-").  A previously
set page name can be cancelled by using this command with no text.
The page name can be up to 40 characters long.

.s.tp 3

Note that the page name appears in place of a chapter number or
=appendix letter on page headers, but the page name does not appear
in index references.

.s.tp 5
.x ALTERNATE command
.x Page#>header
.x Title
.i -5,_.ALTERNATE [<offset>]
.rj _.AL [<offset>]
.s

Establishes alternating left/right printing of page headings, with
even-numbered pages having the page number at the header left
margin and the title(s) at the header right margin.  If an offset
is specified, odd-numbered pages will be shifted to the right
<offset> spaces, otherwise no offset occurs.  Also see the /AL switch.

.s

This command should be used if the output is to be reproduced on
both sides of the document pages.

.s.tp 4
.x NO ALTERNATE command
.x Page#>header
.x Title
.i -5,_.NO ALTERNATE
.rj _.NAL
.s

Causes the page header to always have the title(s) at the header
left margin and the page number at the header right margin (initial
setting).  This commmand overrides #ALTERNATING TITLE# (see below).

.s.tp 5
.x ALTERNATING TITLE command
.x Page#>header
.x Title
.x Subtitle
.i -5,_.ALTERNATING TITLE
.rj _.AT
.s

When #ALTERNATE# is active (see the commands above and the
/AL switch), this command causes the title to be output on
even-numbered pages and the subtitle to be output on the ^&first\&
line of odd-numbered pages.

.s

An error message is produced if this command is encountered while
ALTERNATE# is not active.

.s.tp 5
.x NO ALTERNATING TITLE command
.x Page#>header
.x Subtitle
.x Title
.i -5,_.NO ALTERNATING TITLE
.rj _.NAT
.s

Disables #ALTERNATING#TITLE# (the initial setting).  That is, this
command causes the page headers to always have the title on the
first line and the subtitle on the second line.

.;MODE SETTING
.lm -5
.st Mode Setting Commands
.tp 12
.hl 1 ^&MODE SETTING COMMANDS\&
.x ~>C3.3 Mode Setting Commands
.x Mode>setting
.x Commands>mode setting

These commands establish the status of several operational modes
within RUNOFF.

.lm +5
.s 2.tp 10
.x FILL command
.i -5,_.FILL
.rj _.F
.s

Causes a BREAK and specifies that subsequent output lines are to be filled
(initial setting).  Sets the justification mode to be that specified by
the last appearance of JUSTIFY or NOJUSTIFY.  FILLing adds =successive
words from the source text until the adding of one more word would
exceed the right margin.  (If hyphenation has not been disabled, RUNOFF
will attempt to hyphenate words which cause line overflow.)

.s.tp 5
.x NO FILL command
.i -5,_.NO FILL
.rj _.NF
.s

Disengages the FILL ^&and\& JUSTIFY modes.  This command is used, for
example, to permit including a table.  While NOFILL is in effect
blank lines in the input are copied to the output.  Note, however,
that each line in the input will produce SPACING lines in the
output.  Also, if a line in the input exceeds the right margin, it
will be broken as required and the excess will be placed on the
next line.  See the #LITERAL# command for another way to restrict
=RUNOFF's processing of the input.

.s.tp 5
.x JUSTIFY command
.i -5,_.JUSTIFY
.rj _.J
.s

Causes a #BREAK# and sets subsequent output lines to be justified
(initial setting).  While JUSTIFY is in effect, the spaces between
words are increased until the last word exactly meets the text
right margin.

.s.tp 4
.x NO JUSTIFY command
.i -5,_.NO JUSTIFY
.rj _.NJ
.s

Causes a BREAK and prevents justification of subsequent output
lines.  This causes a ragged text right margin.

.note NOTES

1.  NOFILL/NOJUSTIFY# mode needs to be used only where
there are several lines of material to be copied exactly.
A single line will not require using these commands if
there are breaks before and after.

.s

2.  Normally FILL and NOFILL are used to turn both
fill=ing and justification on and off.  It is usually
desir=able to do both.  A subsequent appearance of a
justification command will override the FILL command
however.

.s

3.  Because of the action of FILL, a single occurrence of
NOJUSTIFY will cause the remainder of the file to be
=unjustified, with filling as specified.  In order to
=JUSTIFY but not FILL (not recommended), a JUSTIFY
command must follow every NOFILL command.

.end note

.tp 6
.x AUTOPARAGRAPH command
.i -5,_.AUTOPARAGRAPH
.rj _.AP
.s

Causes any blank line, formfeed, or any line starting with a space
or tab to be considered as an indication of the start of a new
=paragraph.  This command allows normally typed text to be justified
without special commands.  If blank lines or a formfeed is followed
by a command line, no paragraph is started.

.s.tp 3 .x NO AUTOPARAGRAPH command
.i -5,_.NO AUTOPARAGRAPH
.rj _.NAP
.s

Disengages AUTOPARAGRAPH mode.  This is the initial setting.

.s.tp 3
.x HYPHENATION command
.i -5,_.HYPHENATION
.rj _.HY
.x Word>hyphenation
.s

Engages hyphenation (initial setting).  (Also see the /HY switch.)
When hyphenation is active, words are hyphenated to make the text
right margin more even, or if JUSTIFY is active, to reduce the
stretching required of lines.  Unless the special equal-sign
character is used (see below), hyphenation will be done with
=RUNOFF's algorithm (which is not always =correct).

.s.tp 3
.x NO HYPHENATION command
.i -5,_.NO HYPHENATION
.rj _.NHY
.s

Disengages hyphenation.

.s.tp 8
.x FLAGS HYPHENATE command
.x Equal-sign character
.x #_=  (hyphenation flag character)
.x Word>hyphenation
.x Hyphenation>disable/specification
.x Preferred hyphen
.i -5,_.FLAGS HYPHENATE
.rj _.FL HYPHENATE
.s

Enables the equal-sign character (_=) to disengage hyphenation for
the word it precedes, or to specify preferred hyphenation points
within a word.  The equal-sign character can then be used to
=control hyphenation for words improperly hyphenated by RUNOFF's
=algorithm.  This special character is initially disabled, and the
FLAGS HYPHENATE command must be issued to enable this feature.

.s.tp 3
.x NO FLAGS HYPHENATE command
.i -5,_.NO FLAGS HYPHENATE
.rj _.NFH
.s

Disengages the #FLAGS HYPHENATE# command (initial setting).

.s.tp 6
.x FLAGS SUBINDEX command
.x Greater-than character
.x #_>  (subindex flag character)
.x Subindex>flag character
.i -5,_.FLAGS SUBINDEX
.rj _.FL SUBINDEX
.s

Enables the greater-than character (_>) to indicate subindex
entries in ENTRY and INDEX commands.  See the section on index
processing for further details.  This is the initial setting.

.s.tp 4
.x NO FLAGS SUBINDEX command
.i -5,_.NO FLAGS SUBINDEX
.rj _.NFS
.s

Disables the #FLAGS SUBINDEX# command.

.s.tp 6
.x PERIOD command
.i -5,_.PERIOD
.rj _.PR
.s

Enables printing of two spaces after every period character (".") that
is followed by at least one separator character (initial setting).  This
spacing also applies to ":", "!", and "?"; and to ".", "!", or "?"
followed by ")", "]", "}", or a quote character ('"').

.s.tp 3
.x NO PERIOD command
.i -5,_.NO PERIOD
.rj _.NPR
.s

Disengages double spacing after punctuation.

.s.tp 5
.x FOOTNOTE LINE command
.i -5,_.FOOTNOTE LINE [<number>],[<char>]
.rj _.FNL [<number>],[<char>]
.x Footnote
.x Underbar character
.s

Specifies the characteristics of the separation between the body of
text and footnotes (see the FOOTNOTE command).  Normally one blank
line and a line containing 15 underbar characters ("__") is used.
If that is acceptable, this command does not need to be used.
Otherwise, this command can be used to change the number of
characters and the character used (e.g., if your output device
cannot print an under=bar).  If the number is omitted, the current
value is unchanged.  If the character is omitted, automatic output
of the separation is disabled.  In that case, the text of the
footnote must include the separation which is to appear.

.s.tp 2

The following characters cannot be used as the line character:
".", ",", ";" and "!".

.s.tp 5
.x QUOTE CHARACTER command
.i -5,_.QUOTE CHARACTER [<char>]
.rj _.QC [<char>]
.x Quote character
.x Underbar character
.x #__  (quote character)
.s

Changes the special quote character to the specified character.
The initial quote character is the underbar ("__").  That is also
the default assumed if no character is provided.

.s.tp 2,6

The primary use of this command is to change to some other
character to simplify inclusion of a large number of underbar
characters in the text.  Note, however, that none of the other
special characters ("_^", "_\", "_#", "_&", and conditionally "_=",
"_<", ">") should be used for the new quote character unless you
are sure they are not used for their normal purpose.

.s.tp 2

Note also that the following characters cannot be used as the quote
character under any circumstances:  ".", ";" and "!".

.s.tp 6
.x UPPER CASE command
.i -5,_.UPPER CASE
.rj _.UC
.s

Sets the output mode to uppercase.  This command acts the same as
typing two circumflexes (_^_^, see Appendix C).  This is the
=default mode.  There is no need to type this command unless the
mode was previously altered to lowercase.

.s.tp 4
.x LOWER CASE command
.i -5,_.LOWER CASE
.rj _.LC
.s

Sets the output mode to lowercase.  This command acts the same as
typing two backslashes (_\_\, see Appendix C).

.s.tp 8
.x FLAGS CAPITALIZE command
.x Less-than character
.x #_<  (capitalization character)
.x Word>capitalization
.x Capitalize word
.i -5,_.FLAGS CAPITALIZE
.rj _.FL CAPITALIZE
.s

Enables the less-than (_<) character to capitalize the entire word
it precedes, and then return the file to the current case mode.
This special character is usually disabled--the FLAGS#CAPITALIZE
command must be issued to enable this feature.  Typing a space or
another less-than (_<) returns the file to the current case lock
after a less-than.

.s.tp 3
.x NO FLAGS CAPITALIZE command
.i -5,_.NO FLAGS CAPITALIZE
.rj _.NFC
.s

Disengages the FLAG CAPITALIZE command (inital setting).

.s.tp 4
.x NO FLAGS command
.i -5,_.NO FLAGS
.rj _.NFL
.s

Disengages the FLAGS CAPITALIZE, FLAGS HYPHENATE and FLAGS SUBINDEX
=commands.

.;PARAMETER SETTING
.lm -5
.st Parameter Setting Commands
.tp 12
.hl 1 ^&PARAMETER SETTING COMMANDS\&
.x ~>C3.4 Parameter Setting Commands
.x Parameter setting
.x Commands>parameter setting

The following commands are used to set the values of parameters
used by RUNOFF while formatting the output document.

.lm +5
.s 2.tp 6
.x LAYOUT command
.i -5,_.LAYOUT [<top>],[<length>],[<left base>],[<width>]
.x Format, page
.x Page#>format
.x Page#>length
.x Length>page
.x Margin>text
.s

Sets several parameters for the page layout.  The parameters are:
(1) "top" is the number of blank lines to be output at the top of
every page; (2) "length" is the total number of lines to be on each
page (not counting "top"); (3) "left base" is the base column from
which LEFT MARGIN and RIGHT MARGIN settings are to be made; (4)
"width" is the default right margin to be used (measured from "left
base").

.s.tp 2

The initial settings are 0, 56, 0, and 60, respectively.  If any
par=ameter is omitted, it remains unchanged.

.s.tp 2,4

This command also sets the right margins for the text and page
headers (see the HEADER command) if the "width" argument is given.
That is, the right margins are set to <width> if a value is
=present, otherwise the right margins are not affected.

.s

See Appendix B for a complete description of page layout and =margins.

.s.tp 7
.x PAPER SIZE command
.x PAGE SIZE command
.i -5,_.PAGE SIZE [<lines>],[<columns>]
.rj _.PS [<lines>],[<columns>]
.i -5,_.PAPER SIZE [<lines>],[<columns>]
.x Page#>length
.x Length>page
.x Margin>text
.s

Sets the size of pages to <lines> lines by <columns> columns and
sets the header and text right margins to <columns>.  The initial
settings are 56,60 and the defaults are the current page length and
header right margin, respectively.  Also see the /PA switch.  (See
Appendix B for a further explanation.)

.s.tp 6
.x SPACING command
.i -5,_.SPACING <number>
.rj _.SP <number>
.s

Sets the line spacing.  The number can range from 1 to 5, the
=initial setting is 1.  SPACING#1# is like single spacing on a
type=writer and #SPACING#2# is like double spacing.  That is,
=SPACING#2 puts one blank line between lines of text.

.s.tp 5
.x LEFT MARGIN command
.i -5,_.LEFT MARGIN [<number>]
.rj _.LM [<number>]
.x Margin>text
.s

Sets the text left margin to <number> columns from the base
margin set by the LAYOUT command.  The result must be less
than the text right margin but not less than 0.  The initial
setting and the =default are both 0.  (See Appendix B for a
further description of text margins.)

.s.tp 4,6,2
.x RIGHT MARGIN command
.i -5,_.RIGHT MARGIN [<number>]
.rj _.RM [<number>]
.x Margin>text
.s

Sets the text right margin to <number> columns from the base margin
set by a LAYOUT command.  The result must be greater than the text
left margin.  The initial setting is 60; the default is the current
width set by a LAYOUT command.  (See Appendix B for a further
description of text margins.)

.s.tp 6
.x STANDARD command
.i -5,_.STANDARD [<number>]
.rj _.SD [<number>]
.x Margin>header
.x Margin>text
.s

Returns parameters to their initial settings and sets the header
and text right margins to <number> (the default is the current
width set by a LAYOUT command).  For example, if STANDARD#72 is
specified, parameters are reset as follows:  HEADER length 5, left
margin 0, right margin 72; LAYOUT 0,56,0,72; SPACING 1; LEFT MARGIN
0; RIGHT MARGIN 72; TAB STOPS 8,16,24,...,136; PARAGRAPH indent 5,
skip 1, test 2;  LIST skip 1; LIST ELEMENT test 1.  Also, FILL and
JUSTIFY are enabled.

.s.tp 2

This command is useful if settings are changed and it becomes
=necessary to reinitialize the standard format.

.s.tp 7
.x TAB STOPS command
.i -5,_.TAB STOPS [<n1>],[<n2>],...
.rj _.TS [<n1>],[<n2>],...
.s

Sets up to 32 tab stops.  The numbers must be greater than 0 and
listed in ascending order.  The TAB STOPS command clears all
existing tabs before setting new ones.  The initial tabs are set at
eight-column intervals to match the hardware standard.  These tabs
are at columns 8, 16, 24, 32, 40, 48, _..., 128, and 136.

.s

Tab characters are converted to the appropriate number of
non-expandable spaces.  If there are no space characters to the
left of tab characters, they will print out at the appropriate
position, even if FILL is on.  If LITERAL is on, tabs are not
converted to spaces, but are output as tab characters.

.s

Tab stops are independent of the left margin and any which are less
than the left margin will not be seen.  If a tab appears at a point
where no further tab stops have been set on the line, the tab will
be treated as though it had been a space.

.s

An error message is output if an attempt is made to set more than
32 stops, or if a value is not in ascending order.  In either case,
the tab stops up to the cause of the error ^&are\& set.

.;TEXT FORMATTING
.lm -5
.st Text Formatting Commands
.tp 12
.hl 1 ^&TEXT FORMATTING COMMANDS\&
.x ~>C3.5 Text Formatting Commands
.x Formatting
.x Text>formatting
.x Commands>text formatting

The following commands control formatting of the text on the pages of
the output document.

.lm +5
.s 2.tp 4,6,2
.x COMMENT command
.i -5,_.COMMENT [<text>]
.rj _.;[<text>]###or###.![<text>]
.x Exclamation point
.s

Causes the line to be ignored.  The text is not printed in the output
file, but rather is used as a comment line in the source text.  For the
exclamation-point form, the period is optional if the =exclamation point
is to the right of column one in a command line.

.s.tp 5
.x BREAK command
.i -5,_.BREAK
.rj _.BR
.s

Causes a break.  That is, the text line being filled will be output
with no justification and the next word of the source text will be
placed at the beginning of the next line.

.s.tp 4
.x SKIP command
.i -5,_.SKIP [<number>]
.rj _.SK [<number>]
.rj _.S [<number>]
.s

Causes a BREAK after which <number> is multiplied by the line
spacing (see the #SPACING# command).  The result is the number of
lines skipped.  Output is advanced to the top of the next page if
there is no room on the current page.  If omitted, the number
=defaults to 1.  If the current page is empty, #SKIP# does nothing
unless <number> is negative.  If the argument is negative, blank
lines are output to place the next line <number> line spacings from
the bottom of the page.

.s.tp 4,8,2
.x BLANK command
.i -5,_.BLANK [<number>]
.rj _.B [<number>]
.s

Causes the current line to be output with no justification, skips
<number> line spaces, and then starts output of the following
source text.  BLANK is like SKIP, except that the space to be left
is independent of line spacing.  If the number is omitted, 1 is
assumed.  If the page is empty, BLANK does nothing unless <number>
is negative.  Negative numbers have the same effect as for SKIP.

.s.tp 6
.x FIGURE command
.i -5,_.FIGURE [<number>]
.rj _.FG [<number>]
.s

Leaves <number> lines blank to make room for a figure or diagram.
If there is not enough space remaining on the current page, text
continues to fill the page and the blank space is left at the top
of the next page.  A maximum of 16 FIGURE commands can be pending
in this way at any one time and they are output in the order of
=occurrence in the input file.  An error message is output if an
=attempt is made to queue more than the maximum number.

.s.tp 3

If there are pending FIGURE allocations when an APPENDIX, CHAPTER,
DO#INDEX, EVEN, or ODD command is encountered, or the end of the
file is reached, the FIGURE allocations are all done immediately.

.s.tp 4,7,2
.x INDENT command
.i -5,_.INDENT [<number>],[<text>]
.rj _.I [<number>],[<text>]
.s

Causes a BREAK and sets <text> (or the next line) to begin <number>
spaces to the right of the text left margin.  The number can be
=negative to allow beginning a line to the left of the left margin.
However, a line cannot begin to the left of column 0.  If no number
is supplied, the current PARAGRAPH indent is used.

.s.tp 8
.x CENTER command
.x CENTRE command
.i -5,_.CENTER [<number>],[<text>]
.rj _.C [<number>],[<text>]
.i -5,_.CENTRE [<number>],[<text>]
.s

Causes a BREAK and centers the following text in the source file.
The centering is over column (<number> + <text left margin>)/2.  If
<number> is not given, it is assumed to be the text right margin.
An alternate format is to place the text on the following line.

.s.tp 6
.x RIGHT JUSTIFY command
.i -5,_.RIGHT JUSTIFY [<number>],[<text>]
.rj _.RJ [<number>],[<text>]
.s

Outputs the following text in the source file on the current line,
but forced against column <number> (which defaults to the text
right margin).  An alternate format is to place the text on the
following line.

.s.tp 2

If it is desired to have the text right justified on the line ^&after\&
the current one, precede this command with a BREAK command.

.s.tp 5

As an example, the command syntax lines in this manual were
=produced with commands like the following:

.s.tp 2
.c _.INDENT -5,<full command>          #
.c _.RIGHT JUSTIFY <abbreviated command>

.s.tp 7
.x PARAGRAPH command
.i -5,_.PARAGRAPH [<ind>],[<skip>],[<test>]
.rj _.P [<ind>],[<skip>],[<test>]
.s

Causes a #BREAK# and establishes the format of output paragraphs.
<Ind> sets the number of spaces paragraphs are indented (and can be
negative).  <Skip> is the number of blank lines between paragraphs,
which can range from 0 to 5.  <Test> causes an automatic #TEST PAGE
<test> (see the #TEST PAGE# command).

.s.tp 2,4

As noted, each of the parameters is optional.  If one is omitted,
the corresponding value specified in a previous #PARAGRAPH# command
is used by default.  The initial values are 5,1,2, respectively.

.s.tp 10
.x HEADER LEVEL command
.x Section header
.i -5,_.HEADER LEVEL <level>,<text>
.rj _.HL <level>,<text>
.s

Starts a text section at the level specified and takes <text> as
the header.  The value of <level> can range from 1 to 5.  The
section numbers are incremented automatically, and the number is
output in the form "i.j.k.l.m."  For a chapter-oriented document,
"i" is the chapter number.  Otherwise, it is the number of the
"_.HL#1" level.  Unless this command occurs at the top of an output
page or immediately after a CHAPTER or APPENDIX command, this
=command starts by issuing the commands

.s.c _.BLANK 3.TEST PAGE 5
.s.tp 4

Then the command outputs the section number, two spaces, and the
text for the section name.  Header levels 1 and 2 end with a BLANK.
Header levels 3, 4, and 5 end with a space-dash-space combination
(i.e., "_#--_#").

.s
.x AUTOSUBTITLE command
.x Subtitle

If an #AUTOSUBTITLE# command has been issued, the subtitle may be
set to <text> by this command.

.s.tp 8
.x FOOTNOTE command
.i -5,_.FOOTNOTE <number>
.rj _.FN <number>
.x Footnote
.s

Saves <number> lines at the bottom of the current page for a footnote.
If a page has multiple footnotes, the allocated space is the sum of the
allocations for all footnotes appearing on the page.  The actual space
taken by a footnote can be more or less than the specified number of
lines.  If necessary, adjust the number after examining a draft output.

.s.tp 2
.x Exclamation point

A footnote is terminated with a line beginning with an exclamation
point (!), the remainder of which is ignored.

.s.tp 2

Most parameters and mode settings are saved at the start of a
footnote and restored after its completion.*# Thus, settings

.footnote 6
.lm 4.p -4,1
*###The following parameters and settings are saved at the start
of a footnote and restored after it is ended:  left and right
margins; PARAGRAPH parameters; line spacing; the status of FILL and
JUSTIFY; and the status of any LIST, LITERAL or NOTE in process.
Note, however, that AUTOPARAGRAPH mode is not affected.
!

different from those in the main text can be used within footnotes.
The left and right margins and line spacing are set to their
default values at the start of a footnote.

.s.tp 2,11,8

The following commands are not permitted within a footnote:  all
Page Header commands, PAGE#SIZE, STANDARD, TAB#STOPS, all Page
=Formatting commands, FIGURE, HEADER#LEVEL, FOOTNOTE, DO#INDEX, and
PRINT#INDEX.  An error message will be output if one of these is
attempted in a footnote.**

.footnote 6
.lm 4.p -4,1
**##A footnote can be output on the first page of the index, but special
rules must then be observed.  Most notably, no RUNOFF commands can be
used within the footnote (FILL mode can be turned on or off =before the
FOOTNOTE command).  Any blank lines in the footnote text will be copied
to the output even if FILL is active.
!

.s

The user must explicitly include his/her choice of symbols within
the text and the footnote to designate the footnote reference.  For
example, asterisks ("*") can be used as was done with the footnotes
associated with this command description.  The FOOTNOTE command and
the footnote text should follow immediately in the input file to
ensure that the footnote space is properly allocated.  There is a
choice, however, as to how the separation between the body of the
text and the footnote will be handled.

.s

The default is for RUNOFF to automatically output one blank line
and a separating line of 15 underbar characters ahead of any
footnotes on a page (space is automatically allocated for these two
lines).  The length of the separating line and the character to be
used can be changed with the FOOTNOTE LINE command.

.s

If that format is not desirable for any reason, a FOOTNOTE#LINE
command should be used to turn off automatic output of the
separation.  Then the contents of the footnote(s) will be output
immediately after the last text line on the page.  Thus, the first
footnote on each page should then contain the lines necessary to
set off the footnote(s).

.s.tp 4
.x LITERAL command
.i -5,_.LITERAL
.rj _.LIT
.s

Disengages FILL and JUSTIFY and outputs the input text exactly as
=entered in the source file (except for the characters with special
significance to RUNOFF).  LITERAL mode differs from NOFILL mode in
the following ways:

.list 1
.le The input is copied to the output line for line regardless of
the current spacing setting.
.le Lines up to 132 characters long are not broken if they exceed
the right margin, but a warning message is output to the user's
terminal for each such line.
.le Tab characters in the input are output directly rather than
being converted to the appropriate number of spaces.
.le The only command recognized while LITERAL mode is in =effect is
#END LITERAL#.
.end list

.s.tp 4
.x END LITERAL command
.i -5,_.END LITERAL
.rj _.ELI
.s

Used after a LITERAL command to resume normal processing, including
the preceding FILL/JUSTIFY mode.  Resets the line spacing to its
previous value.

.s.tp 4,7,2
.x NOTE command
.i -5,_.NOTE [<indent>],[<text>]
.rj _.NT [<indent>],[<text>]
.s

Starts an indented note.  This command causes a BLANK#2 and TEST
PAGE#6, reduces both text margins by <indent> (which defaults to
five spaces), centers <text> (if omitted, the word "NOTE" is
centered), and then causes a BLANK 1.  At this point the body of
the note is output.

.s.tp 5
.x END NOTE command
.i -5,_.END NOTE
.rj _.EN
.s

Terminates the preceding NOTE command, does a BLANK 2, and returns
the text margins to their settings before the last NOTE command.

.s.tp 7
.x LIST command
.i -5,_.LIST [<number>]
.rj _.LS [<number>]
.s

Starts an indented list with <number> extra line spacings between
elements.  (If omitted, <number> defaults to the value specified in
a previous LIST command; initially 1.)  Moves the text left margin
nine spaces to the right for the first LIST command, and four more
spaces for each subsequent nested LIST (up to five lists can be in
process at one time).  The normal FILL and JUSTIFY modes remain in
effect.  Therefore, you must disengage them if you want a ragged
right margin.

.s.tp 4
.x LIST ELEMENT command
.i -5,_.LIST ELEMENT [<lines>],[<text>]
.rj _.LE [<lines>],[<text>]
.s

Signals the start of an item in a list in conjunction with the LIST
command.  The elements are numbered sequentially and the number is
given a negative indent so that the list lines up.  The number is
output followed by a period and two spaces so that the indent will
be by -4 (-5 after the ninth element).  The list elements are
separated by the spacing specified in the corresponding LIST
command and TEST#PAGE#<lines> is done to make sure there is room on
the current page for the element (<lines> defaults to the value
specified in a previous LIST ELEMENT command in the current list,
=initially 1).  The text is shown as optional because it can be
=supplied on the next line.

.s.tp 4
.x END LIST command
.i -5,_.END LIST
.rj _.ELS
.s

Terminates the current #LIST# command and returns to the settings
for the preceding LIST, if any.

.s.tp 8
.x OPTION command
.i -5,_.OPTION <number>
.rj _.OPT <number>
.x Optional>text segments
.x Text>options
.s

Marks the beginning of a segment of the input file which is to be
processed or ignored depending on the "setting" of the indicated
option.  For example, OPTION's are used in the input file for this
manual to select which operating system is covered.  Options are
set to "include" or "exclude" by the correspondingly named
commands, described below.  The option number must have its
magnitude in the range 1-32., and an error message is =output if
the option has not been set to either "include" or "exclude."

.s.tp 4

If the option has been set to "exclude," RUNOFF will ignore all the
input up to the next #ELSE or END OPTION# command (see below) with
the same option number.  When an option is set to "include," the
=OPTION# and #END OPTION# commands for that option have no effect.

.s.tp 2

If the option number is negative the logic is reversed.  That is,
RUNOFF will ignore the input when the option is set to "include."

.s.tp 5
.x ELSE command
.i -5,_.ELSE <number>
.x Optional>text segments
.x Text>options
.s

Marks the beginning of an alternate optional input segment.  The
option number must be the same as that in the corresponding OPTION
command.

.s.tp 2,5

If the option is set to "include," this command marks the end of
the material to be included in the output and the beginning of
another segment which will be excluded.  Conversely, if the option
is set to "exclude," this command marks the end of the material to
be excluded and the beginning of a segment to be included.

.s.tp 4
.x END OPTION command
.i -5,_.END OPTION <number>
.rj _.ENDO <number>
.x Optional>text segments
.x Text>options
.s

Marks the end of an optional input segment.  The option number must
be the same as that in the corresponding OPTION command.

.s.tp 4,7,2
.x INCLUDE command
.i -5,_.INCLUDE <number>
.rj _.IN <number>
.x Optional>text segments
.x Text>options
.s

Sets the indicated option so that all input enclosed by any OPTION
and ELSE or END#OPTION commands (see above) with the given option
number will be processed.  This command will be ignored (and a
message will be output to the user's terminal) if there had been a
command switch associated with the specified option number.

.s.tp 4
.x EXCLUDE command
.i -5,_.EXCLUDE <number>
.rj _.EX <number>
.x Optional>text segments
.x Text>options
.s

Similar to the INCLUDE command, except that this command sets the
indicated option so that the corresponding input will be ignored.

.;PAGE FORMATTING
.lm -5
.st Page Formatting Commands
.tp 12
.hl 1 ^&PAGE FORMATTING COMMANDS\&
.x ~>C3.6 Page Formatting Commands
.x Formatting
.x Page#>formatting
.x Commands>page formatting

These commands control the pagination and page numbering of the output
document.

.lm +5
.s 2.tp 6
.x PAGE command
.x Page#>numbering
.i -5,_.PAGE
.rj _.PG
.s

Causes a BREAK and an advance to a new page.  If the current page
is empty, however, this command does not advance the page.  Just
like an automatic page advance, this command prints the title(s)
(if given) and page numbers on every page unless NOHEADER has been
specified.  If CHAPTER commands are used to start each chapter, the
page numbers will have the form "c-p" where "c" is the chapter
=number and "p" is the number of the page within the chapter.  If
CHAPTER commands are not used, page numbering is continuous
=throughout the document.

.s.tp 7
.x TEST PAGE command
.i -5,_.TEST PAGE <start>,[<block>],[<end>]
.rj _.TP <start>,[<block>],[<end>]
.s

Causes a BREAK followed by a conditional page advance.  A new page
is started if fewer than <start> lines are left on the current
page.  This capability is to ensure that the following <start>
lines are all output on the same page.  (This function can also be
achieved with the optional argument "test" to the PARAGRAPH
=command.)

.s

If <start> lines will fit on the current page, but <block> lines
will not, then a new page is started at the point which will ensure
that <end> lines appear together on the next page.  If <block> is
omitted, it defaults to infinity and <end> is ignored.  If <end> is
omitted, it defaults to <start>.  An error message results if
<block> is less than <start>#+#<end>.

.s

Note that "block" is meant to be a number of lines in the ^&output\&.
Thus, the value used may have to be revised after reviewing a draft
of the output.

.s.tp 7
.x SUBPAGE command
.i -5,_.SUBPAGE
.s

Executes a #PAGE# with normal page numbering suspended.  The page
number is unchanged, but a letter is appended to the page number.
Page numbering continues in this way until subpage numbering is
terminated by one of the following commands:  END#SUBPAGE, CHAPTER,
APPENDIX, or DO INDEX.

.s.tp 2

This permits insertion of additional pages within a document
without changing the existing page numbering.  Up to 26 consecutive
subpages (A-Z) may be inserted in this way.  Beyond that number,
the pages will be numbered with the ASCII characters which follow
"Z" ("[", "_\", "]", ...)#without any warning.

.s.tp 2

Note that if there is a #FIGURE# pending when subpage numbering is
begun, the figure space will be allocated on the subpage.  Also,
the subpage letter is not recorded with index entries.

.s.tp 4
.x END SUBPAGE command
.i -5,_.END SUBPAGE
.s

Disengages subpage numbering by executing a PAGE command with
=normal page numbering resumed.

.s.tp 6
.x NUMBER command
.x Page#>numbering
.i -5,_.NUMBER [<number>]
.rj _.NM [<number>]
.s

Starts page numbering.  This is the default so there is no reason
to issue this command unless page numbering has been disengaged.
If resumption of page numbering is desired with a certain page
number, specify the desired number.

.s.tp 5
.x NO NUMBER command
.i -5,_.NO NUMBER
.rj _.NNM
.s

Disengages page numbering.  However, pages continue to be counted, so
that the normal page number will appear if page numbering is =resumed
with a NUMBER command with no number.

.s.tp 10
.x CHAPTER command
.x Page#>header
.x Title
.x Subtitle
.x Chapter heading
.i -5,_.CHAPTER <text>
.rj _.CH <text>
.s

Starts a new chapter using the text as the title of the chapter.  This
command acts as if the following command string were entered:

.s.tp 3
.c _.NO HEADER.FILL.JUSTIFY.NUMBER 1.TITLE   #
.c _.LEFT MARGIN.RIGHT MARGIN.SPACE 1.SUBTITLE
.c _.PAGE.BLANK <n>.CENTER CHAPTER <number>  #
.s

where <n> is 7 unless a different value is supplied with the /BL
switch.  The chapter number is automatically incremented by 1.
After the output of "CHAPTER <number>", the following commands
occur:

.s.tp 3
.c _.BLANK 2.CENTER <text>#
.c _.BLANK 4.TITLE <text> #
.c _.HEADER <previous mode>
.s

Note that as a result of this command FILL and JUSTIFY are turned
on, the margin and spacing parameters are reset to the default
=values, the TITLE is set to the chapter title, and the SUBTITLE is
cleared.  If there are any pending FIGURE commands when the CHAPTER
command is processed, all pending figures are processed before the
new chapter is begun.

.s.tp 5,10,2
.x NUMBER CHAPTER command
.i -5,_.NUMBER CHAPTER <number>
.s

Supplies a number to be used in a subsequent CHAPTER command.
NUMBER#CHAPTER would be used when a chapter of a document oc=cupies
a source file of its own.  In such a case, NUMBER#CHAPTER should
occur before the first CHAPTER command of the source file.  The
chapter number provided must be in the range of 1-128, inclusive.
(The effect of this command is to set the current chapter number to
<number>-1.  Note that pages are numbered =<chapter>-<page>
whenever <chapter> is nonzero.)

.s.tp 8
.x APPENDIX command
.x Title
.i -5,_.APPENDIX <text>
.rj _.AX <text>
.s

Starts a new appendix using the text as the title of the appendix.
This command acts just like the CHAPTER command, except that
="APPENDIX =<letter>" is output in place of "CHAPTER#<number>." The
letter is automatically incremented alphabetically.

.s.tp 4
.x Page#>numbering
.x NUMBER APPENDIX command
.i -5,_.NUMBER APPENDIX <letter>
.s

Supplies a letter to be used in a subsequent APPENDIX command.
NUMBER#APPENDIX would be used when an appendix of a document
occupies a source file of its own.  In such a case, NUMBER#APPENDIX
should occur before the first APPENDIX command of the source file.
The letter provided must be in the range of A-Z, inclusive.  (The
effect of this command is to set the current appendix letter to
=<letter>-1.)


.s.tp 10
.x EVEN command
.i -5,_.EVEN [<lines>],[<text>]
.s

Ensures that the page number is even by invoking the following
=commands if the current page number is odd:

.s
.c _.PAGE.BLANK <lines>.CENTER <text>
.s.tp 2,7,2

If <lines> is omitted, the number of blank lines which precede
chapter headings will be output (see the CHAPTER command and the
/BL switch).  If the page number is already even, no action is
taken.  Also, this command is ignored if a /-AH switch was
specified in the command line.  Note that the EVEN command does not
=affect the title or subtitle.  Any pending figures are processed
before the new page is begun.

.s

As an example, to ensure that a section begins on an odd-numbered
page (e.g., for two-sided printing), one can use the commands

.s.tp 2
.c _.EVEN (This page intentionally left blank.)
.c _.PAGE                                     #

.s.tp 4
.x ODD command
.i -5,_.ODD [<lines>],[<text>]
.s

Similar to the EVEN command except that the action occurs only if
the current page number is even.

.;INDEX PROCESSING
.lm -5
.st Index Processing Commands
.tp 12
.hl 1 ^&INDEX PROCESSING COMMANDS\&
.x ~>C3.7 Index Processing Commands
.x Index processing
.x Commands>index processing

RUNOFF can be used to create an index for the output document.  The
following commands can be used to record the index entries and their
page references, and to control the format of the index in the output. 

.lm +5
.s 2.tp 8
.x INDEX command
.i -5,_.INDEX <text>
.rj _.X <text>
.s

Takes <text> as a keyword and adds it, along with the current page
number, to the internal index buffer.  This command does not cause a
break.  It should appear immediately before the item to be indexed
appears in the text.  A keyword may be indexed more than once.  See
the index in this document for an example of an index produced by
RUNOFF.

.s.tp 4

The case of the text is considered when the entry is processed.
Thus, "INDEX APPLE", "INDEX Apple" and "INDEX apple" would produce
three different index entries.  Also, only the first 50 characters
of the text are entered into the index--any remainder is ignored.

.s

If the #FLAGS SUBINDEX# command is in effect (the initial setting),
the subindex flag character (">") can be used to specify subindexing.  
As an example, the following commands

.s
.c _.entry Main               #
.c _.index Main>minor 1       #
.c _.index Main>minor 1>minor 2
.s

will yield these index entries

.s
.c Main                           #
.c ##minor 1 . . . . . . . . <page>
.c ####minor 2 . . . . . . . <page>
.s.tp 2,5

The subentries can be indexed on any number of pages just like any
other index entry, and the top-level entry may be entered with
=either an #INDEX or ENTRY# command.  The output format of subindex
entries is determined by the command used to output the index (see
=below).

.s.tp 7
.x ENTRY command
.x Subindex
.i -5,_.ENTRY <text>
.rj _.Y <text>
.s

Similar to the #INDEX# command except that the entry is stored
without a page reference (see the example above).  This is useful
for inserting a heading line ahead of a group of subindex entries.
If there is an #INDEX# command for the same entry somewhere else in
the input, the #ENTRY# command will have no effect.

.s.tp 5,8,2
.x DO INDEX command
.i -5,_.DO INDEX [<text>]
.rj _.DX [<text>]
.s

Forces a new page and centers the text, if given; otherwise it
centers the word "INDEX".  The heading is spaced down the page like
a CHAPTER or APPENDIX heading.  The SUBTITLE is cleared and, if a
text is given, it becomes the TITLE.  Pages are numbered "I-<n>",
starting at "I-1" (which is not printed).  The left and right
=margins are reset to their default values.

.s

This command prints the entire contents of the index buffer and
leaves the buffer empty.  Entries are printed in alphabetical order
and are set against the left margin.  Entries are single spaced,
except that SPACING blank lines are left between entries with
different first letters.  Subindex entries are indented two spaces.

.s

The number of the first page on which each entry appeared is put on
the same line as the entry, beginning at the middle of the line
(midway between the left and right margins).  Additional page
numbers for multiple references follow, separated by commas.

.s.tp 4
.x PRINT INDEX command
.i -5,_.PRINT INDEX [<indent>],[<spacing>]
.rj _.PX [<indent>],[<spacing>]
.s

Like DO INDEX, but just prints the index buffer without any
=heading, without interrupting normal page sequencing, and without
affecting the margin settings.  Unlike DO#INDEX, this command
=allows a specified indentation to be used for subindex entries.  If
omitted, <indent> defaults to 2.

.s

This command also differs from DO INDEX in that PRINT#INDEX uses
the SPACING setting to space individual entries, and outputs
=<spacing> extra blank lines between letter groups.  The default is
one extra blank line.

.lm 0

.;RSX OPERATING PROCEDURES
.option 1
.t
.st
.even (This page intentionally left blank.)
.chapter RSX/IAS OPERATING PROCEDURES
.x ~>C4 RSX/IAS OPERATING PROCEDURES
.x Operation
.st Initiating RUNOFF
.hl 1 ^&INITIATING RUNOFF\&
.x ~>C4.1 Initiating RUNOFF

RUNOFF can be initiated in several ways.  The most common MCR commands
for RSX-11 users are:

.nf
.s
.c RNO <cr>           #
.c RNO <command string>
.c RUN $RNO           #
.f
.st RUNOFF Command String
.hl 1 ^&RUNOFF COMMAND STRING\&
.x ~>C4.2 RUNOFF Command String
.y Command
.x Command>string

RUNOFF requires a command string to specify the input and output files
as well as various options.  A standard command string has one of the
following forms:

.s.c <output file> _= <input file>[,<input file>...]
.s.c or
.s.c @<command file>
.s

Both <output file> and <input file> are strings comprising file
specifications.  As indicated, there can be multiple input files.  In
that case a BREAK occurs in the output between input files.  (Also,
all pending FIGURE requests are processed.)

.s

The second form of command string (@<command file>) is used to specify
an indirect command file.  In this case each line of the specified file
is used as a command string.  Comment lines can be included in the file
by starting the lines with semicolons.

.hl 2 File Specifications
.x ~>C4.2.1 File Specifications
.x File specifications

An RSX-11 file specification has the following form:

.s
.c <device>:[<uic>]<filename>.<type>;<version>
.s.tp 3

In this specification <device> must be a legal device code.  <Uic># must
be a valid User Identification Code.  (The square brackets are required
if a UIC is specified.)

.s.tp 2,4

The initial default for <device> is "SY", the user's disk.  The initial
default UIC is the current UIC.  If a device or UIC is specified on the
input side of a command, that specification becomes the default for the
remainder of the command.

.s.tp 3

<Filename> is any one- to nine-character alphanumeric string which
=specifies a file name.  <Type> is a zero- to three-character
alpha=nu=meric file type.

.s

System programs often default to appropriate standard file types, so the user
will often not have to explicitly specify them.  The default file
names and types for RUNOFF (any of which may be overridden) are:

.s.c Input:###RUNOFF.RNO
.s.c Output:##RUNOFF.DOC
.s

Finally, <version> is an octal number which is the version number of the
file.  This field can also normally be omitted since it defaults on
input to the highest existing version number for the file and on output
to the highest existing version number plus one.

.option 6	! *** Optionally include this note ***

.s 2.lm +5.rm -5.c Editing RUNOFF Output

It may not be possible to edit RUNOFF output files with the
standard RSX/IAS file editors.  To edit RUNOFF output, the
output file may first have to be processed by TECO with a
command with the format:

.b.c *ER<filespec>$EW<filespec>/-CR$EX$$
.lm -5.rm +5

.end option 6		! *** End of optional note ***

.hl 2 RUNOFF Switches
.x ~>C4.2.2 RUNOFF Switches
.x Switches

A file specification may have one or more switches associated with it.
A switch is an indicator, consisting of a slash and a two-character
ASCII name, used to select program options.  In general, a switch may
appear in three forms--for example, if a switch designator is "SW",
then:

.s
.c /SW#####Sets the switch action,       #
.c /-SW####Negates the switch action, and#
.c /NOSW###Also negates the switch action.
.s.tp 2

Some switches, however, are not accepted in either of the negative
forms.

.s.tp 2,4

Some switch identifiers may be followed by one or more values.  The
permitted values are numbers or ASCII strings as indicated in the
switch descriptions below.  The default for numeric values is decimal.
=Values preceded by a number sign (_#) are interpreted as octal.

.s.tp 2,6

There are several switches to control the RUNOFF program.  These
switches, described below, may be specified on either the input or
output file specifications.  Input specifications supersede the output
specification if there is any conflict.  If there are multiple input
files, switches are "sticky" in that they remain in effect until
=explicitly changed.

.s.tp 2

The defaults for switch settings and values may be set by the system
manager at Task Build time.

.s 2.tp 3.lm +8.nf
/AP#####-- Append the output to the specified output file,
.i +16 starting a new page.  (This switch is only
.i +16 considered on the output file specification.)
/-AP####-- Write the output to a new file (default)
.s.tp 4
/FF#####-- Use formfeeds instead of multi-linefeed's
.i +16 (default)
/-FF:&n##-- Simulate form-feeds with line-feed's (&n is the number
.i +16 of lines per page; default value is 66)
.x Formfeeds
.s.tp 2
/UC#####-- Force the output to ALL uppercase
/-UC####-- Allow normal case conversion (default)
.x Case information
.s.tp 2
/SP#####-- Spool (i.e., print) the output file
/-SP####-- Inhibit spooling of the output file (default)
.x Spooling
.s.tp 2
/WA#####-- Wait for  CR  input at beginning of each page
/-WA####-- Continue printing each page with no wait (default)
.s.tp 4
/PA:&l:&h -- Output only indicated page range
.i +16 &l#_=#Lowest page number output
.i +16 &h#_=#Highest page number output
.i +16 (default setting is to output all pages)
.s.tp 4
/CH:&l:&h -- Output only indicated chapter range
.i +16 &l#_=#Lowest chapter number output
.i +16 &h#_=#Highest chapter number output
.i +16 (default setting is to output all chapters)
.s.tp 2
/PS:&m:&n -- Set PAGE SIZE to #&m,&n #(see the PAGE SIZE command)
.i +16 (default is /PS:56:60)
.s.tp 2
.x Word>hyphenation
.x Hyphenation
/HY#####-- Enable hyphenation of output (default)
/-HY####-- Do not allow hyphenation of output
.s.tp 4
.x Underlining
/UL:B###-- Underline by backspacing and overprinting (default)
/UL:L###-- Underline via line overprint with underline character
/UL:S###-- Simulate underline with hyphen character on next line
/UL:N###-- Suppress underlining
.s.tp 2
.x Alternate
/AL#####-- Allow the ALTERNATE, ALTERNATING TITLE, EVEN and ODD
.i +16 commands to be processed.  (default)
.s.tp 2
/-AL####-- Disable the ALTERNATE, ALTERNATING TITLE, EVEN and
.i +16 ODD commands.
.s.tp 9
.x Format, page
.y Page#
.x Page#>format
/DO:&n###-- Set the number of blank lines to be output at the
.i +16 top of each page (default is zero).  (DOwn) (1)
.footnote 5
.lm 5.f.p -5,1
(1)##If any of the switches #DO, LO, LE# and #WI# are specified, and a
=LAYOUT  command in the input attempts to change the setting(s), a
message is output to the user's terminal and the corresponding
=parameter(s) is(are) not changed.
!
.s.tp 3
.y Length
.x Length>page
.x Page#>length
/LO:&n###-- Set the maximum number of lines to be output on each
.i +16 page, ^&not\& counting the blank lines at the top
.i +16 (default is 56).  (LOng) (1)
.s.tp 3
.y Margin
.x Margin>text
/LE:&n###-- Set the base left margin from which the left and
.i +16 right margins are to be applied--see the LAYOUT
.i +16 command (default is zero).  (LEft) (1)
.s.tp 2
/WI:&n###-- Set the right margin to be used initially and as the
.i +16 default where appropriate (default is 60).
.i +16 (WIdth) (1)
.s.tp 8
.x Length>header
/HL:&n###-- Set the number of lines to be in each page header
.i +16 (default is five).  (Header Length) (2)
.footnote 4
.lm 5.f.p -5,1
(2)##If the HL switch is specified, and a #HEADER# command in the input
attempts to change the setting, a message is output to the user's
terminal and the setting is not changed.
!
.s.tp 4
.x Chapter heading
/BL:&n###-- Set the number of blank lines to be output before
.i +16 chapter, appendix and index headings, and the
.i +16 default vertical spacing for the EVEN and ODD
.i +16 commands (default is 7).  (Blank Lines)
.s.tp 4
.x Optional>text segments
.y Text
.x Text>options
/IN:&m:&n:...#-- Set the indicated text options for inclusion
.i +16 regardless of any occurrences of INCLUDE or
.i +16 EXCLUDE for those options in the input file(s).
.i +16 Up to five options can be specified.  (INclude)
.s.tp 2
.x Optional>text segments
.x Text>options
/EX:&m:&n:... -- Similar to the /IN switch above, except that the
.i +16 options are set for exclusion.  (EXclude)
.f
.lm 0
.rm
.end option 1

.;RSTS/E OPERATING PROCEDURES
.option 2
.t
.st
.even (This page intentionally left blank.)
.chapter RSTS/E OPERATING PROCEDURES
.x ~>C4 RSTS/E OPERATING PROCEDURES
.x Operation
.st Initiating RUNOFF
.hl 1 ^&INITIATING RUNOFF\&
.x ~>C4.1 Initiating RUNOFF

For RSTS/E users, RUNOFF is run by the general command format:

.s
.c RUN $RNO      #
.c RNO> <filespec>

.s

If the RNO CCL command has been added to the system, the following
=format may also be used:

.s.c RNO <filespec>

.HL 1 ^&RUNOFF COMMAND STRING\&
.x ~>C4.2 RUNOFF Command String

RUNOFF requires a command string to specify input files and various
=options.  A command string has one of the following forms:

.s.c <output file> _= <input file>[,<input file>...]
.s.c or
.s.c @<command file>
.s

Both <output file> and <input file> are strings comprising file
specifications.  As indicated, there can be multiple input files.  In
that case a BREAK occurs in the output between input files.  (Also,
all pending FIGURE requests are processed.)

.s

The second form of command string (@<command file>) is used to specify
an indirect command file.  In this case each line of the specified file
is used as a command string.  Comment lines can be included in the file
by starting the lines with semicolons.

.s

The command-string syntax is described more completely in the User's
Guide for the relevant operating system.

.HL 2 File Specifications
.x ~>C4.2.1 File Specifications
.x File specifications

A RSTS/E file specification has the following form:

.s.c <device>:[<ppn>]<filename>.<type>
.s

In this specification <device> must be a legal device code.  The default
value is "SY", the system disk.  <Ppn> must be a valid Programmer-Project
Number.  (The square brackets are required if a PPN is specified.)

.s

<Filename> is any one- to six-character alphanumeric string which
=specifies a file name.  <Type> is a one- to three-character
alpha=nu=meric file type.

.s

System programs default to an appropriate standard type, so the user
will often not have to explicitly specify it.  The default file names
and types (any part of which may be overridden) are:

.s.c Input:###RUNOFF.RNO
.s.c Output:##RUNOFF.DOC
.s

.x RSTS/E output formats

Under RSTS/E, RUNOFF uses the RSX Run-Time System and
may be task-built to output its data as an RMS compatible
sequential file which may be printed by the RSTS/E
spooling package without further processing.  To convert the output
to a standard (ASCII-stream) RSTS/E file, the FLX system
program may be used as follows:

.s
.c RUN $FLX                    #
.c FLX> OUTPUT.TXT/FA_=OUTPUT.DOC
.s

where OUTPUT.DOC was output by RNO.  Normally, RSTS/E systems will use the
"ASCII-stream" version of RNO.TSK.  Files output by this version of RUNOFF
are compatible with BASIC-PLUS I/O formats.

.s.note

Source file input to RSTS/E RUNOFF may be either in
RMS-compatible sequential file format or in BASIC-PLUS
compat=ible ASCII-stream format.  In the latter case, all
input lines must be terminated by <CR><LF> or <FF> =sequences.
Other sequences, such as <LF><CR>, may cause erroneous output.

.end note

.hl 2 RUNOFF Switches
.x ~>C4.2.2 RUNOFF Switches
.x Switches

A file specification may have one or more switches associated with it.
A switch is an indicator, consisting of a slash and a two-character
ASCII name, used to select program options.  In general, a switch may
appear in three forms--for example, if a switch designator is "SW",
then:

.s.tp 3
.c /SW#####Sets the switch action,       #
.c /-SW####Negates the switch action, and#
.c /NOSW###Also negates the switch action.
.s

In addition, some switch identifiers may be followed by one or more
=values.  The permitted values are numbers and ASCII strings as indicated
in the switch descriptions.  The default for numeric values is decimal.
Values preceded by a number sign (_#) are interpreted as octal.

.s.tp 4

Some switches, however, are not accepted in either of the negative
forms.

.s.tp 2,4

Some switch identifiers may be followed by one or more values.  The
permitted values are numbers or ASCII strings as indicated in the
switch descriptions below.  The default for numeric values is decimal.
=Values preceded by a number sign (_#) are interpreted as octal.

.s.tp 2,6

There are several switches to control the RUNOFF program.  These
switches, described below, may be specified on either the input or
output file specifications.  Input specifications supersede the output
specification if there is any conflict.  If there are multiple input
files, switches are "sticky" in that they remain in effect until
=explicitly changed.

.s.tp 2

The defaults for switch settings and values may be set by the system
manager at Task Build time.

.s 2.tp 3.lm +8.nf
/AP#####-- Append the output to the specified output file,
.i +16 (starting a new page).  (This switch is only
.i +16 considered on the output file specification.)
/-AP####-- Write the output to a new file (default)
.s.tp 4
/FF#####-- Use formfeeds instead of multi-linefeed's
.i +16 (default)
/-FF:&n##-- Simulate form-feeds with line-feed's (&n is the number
.i +16 of lines per page; default value is 66)
.x Formfeeds
.s.tp 2
/UC#####-- Force the output to ALL uppercase
/-UC####-- Allow normal case conversion (default)
.x Case information
.s.tp 2
/SP#####-- Spool (i.e., print) the output file
/-SP####-- Inhibit spooling of the output file (default)
.x Spooling
.s.tp 2
/WA#####-- Wait for  CR  input at beginning of each page
/-WA####-- Continue printing each page with no wait (default)
.s.tp 2
/PS:&m:&n -- Set PAGE SIZE to #&m,&n #(see the PAGE SIZE command)
.i +16 (default is /PS:56:60)
.s.tp 2
.x Word>hyphenation
.x Hyphenation
/HY#####-- Enable hyphenation of output (default)
/-HY####-- Do not allow hyphenation of output
.s.tp 4
/PA:&l:&h -- Output only indicated page range
.i +16 &l#_=#Lowest page number output
.i +16 &h#_=#Highest page number output
.i +16 (default setting is to output all pages)
.s.tp 4
/CH:&l:&h -- Output only indicated chapter range
.i +16 &l#_=#Lowest chapter number output
.i +16 &h#_=#Highest chapter number output
.i +16 (default setting is to output all chapters)
.s.tp 4
.x Underlining
/UL:B###-- Underline by backspacing and overprinting (default)
/UL:L###-- Underline via line overprint with underline character
/UL:S###-- Simulate underline with hyphen character on next line
/UL:N###-- Suppress underlining
.s.tp 2
.x Alternate
/AL#####-- Allow the ALTERNATE, ALTERNATING TITLE, EVEN and ODD
.i +16 commands to be processed.  (default)
.s.tp 2
/-AL####-- Disable the ALTERNATE, ALTERNATING TITLE, EVEN and
.i +16 ODD commands.
.s.tp 6
.x Format, page
.y Page#
.x Page#>format
/DO:&n###-- Set the number of blank lines to be output at the
.i +16 top of each page (default is zero).  (DOwn) (2)
.footnote 5
.lm 5.f.p -5,1
(2)##If any of the switches #DO, LO, LE# and #WI# are specified, and a
=LAYOUT  command in the input attempts to change the setting(s), a
message is output to the user's terminal and the corresponding
=parameter(s) is(are) not changed.
!
.s.tp 3
.y Length
.x Length>page
.x Page#>length
/LO:&n###-- Set the maximum number of lines to be output on each
.i +16 page, ^&not\& counting the blank lines at the top
.i +16 (default is 56).  (LOng) (2)
.s.tp 3
.x Margin>text
/LE:&n###-- Set the base left margin from which the left and
.i +16 right margins are to be applied--see the LAYOUT
.i +16 command (default is zero).  (LEft) (2)
.s.tp 2
/WI:&n###-- Set the right margin to be used initially and as the
.i +16 default where appropriate (default is 60).
.i +16 (WIdth) (2)
.s.tp 6
.x Length>header
/HL:&n###-- Set the number of lines to be in each page header
.i +16 (default is five).  (Header Length) (1)
.footnote 4
.lm 5.f.p -5,1
(1)##If the HL switch is specified, and a #HEADER# command in the input
attempts to change the setting, a message is output to the user's
terminal and the setting is not changed.
!
.s.tp 4
.x Chapter heading
/BL:&n###-- Set the number of blank lines to be output before
.i +16 chapter, appendix and index headings, and the
.i +16 default vertical spacing for the EVEN and ODD
.i +16 commands (default is 7).  (Blank Lines)
.s.tp 4
.x Optional>text segments
.y Text
.x Text>options
/IN:&m:&n:...#-- Set the indicated text options for inclusion
.i +16 regardless of any occurrences of INCLUDE or
.i +16 EXCLUDE for those options in the input file(s).
.i +16 Up to five options can be specified.  (INclude)
.s.tp 2
.x Optional>text segments
.x Text>options
/EX:&m:&n:... -- Similar to the /IN switch above, except that the
.i +16 options are set for exclusion.  (EXclude)
.f
.lm 0
.rm
.end option 2

.;ERRORS
.t
.st
.even (This page intentionally left blank.)
.appendix RUNOFF ERROR MESSAGES
.x ~>ZA RUNOFF ERROR MESSAGES
.x Error messages
.x Messages

RUNOFF produces error messages in the following format:

.s.c RNO -- <error message>
.s

This appendix lists all the error messages produced by RUNOFF.  Most of
the error messages are self-explanatory.  In many cases, RUNOFF
indicates the output page in process at the time--this helps locate the
cause of the error in the source file.

.list 2
.le 5,RNO -- Attempt to override switch value on output page <number>
.s

This message warns that a LAYOUT or HEADER command in the input file
tried to change the value of a parameter set by a command-line switch.
The value is not changed.

.le 3,RNO -- Bad parm.#in command "<command>" on output page <number>
.s

The indicated command contains a parameter which is invalid.

.le 4,RNO -- Can't indent list element on output page <number>
.s

The user has nested lists that cause RUNOFF to attempt indenting beyond the
right margin.

.le RNO -- Can't justify line:  <text> on output page <number>
.s

<text> is a line with no spaces (other than quoted spaces),
so that RUNOFF is unable to justify it.

.le RNO -- Can't reduce margins for note on output page <number>
.s

A #NOTE# command occurred after the margins were set to values that
prevent the #NOTE# command from reducing the margins.

.le 5,RNO -- Can't right justify line on output page <number>
.s

An attempt has been made to right justify some text which does not
fit on a line with text already present.  The text is output right
justified on the next line.

.s

If the page reference is missing, the same command failed
=because the text was too long to fit on one line.

.le 4,RNO -- Command syntax error
.s

The user has entered a command in a format that does not =conform to
syntax rules.

.le 11,RNO -- Error on input file
.s

A read error has occurred on an input file.  One of the follow=ing
conditions may exist:

.list 1
.le The file is not a source file (e.g., it is an object file, etc.)
.le The file is corrupted or the format is wrong.
.le A problem exists with a physical device (e.g., the device is cycled down).
.els

.le 10,RNO -- Error on output file
.s

A write error has occurred on the output file.  One of the =following
conditions exists:

.list 1
.le The user does not have write access privileges to the file.
.le The device is full or is write protected.
.le The hardware has failed.
.els

.le 4,RNO -- FATAL ERROR, Aborting
.s

This message is an internal program error and should never occur
under normal use.

.le 4,RNO -- Footnote long on output page <number>
.s

After output of the footnote(s) on the indicated page, the page was
longer than the current page length specification.  Either a FOOTNOTE
command underestimated the number of lines required for the footnote
text, or a FOOTNOTE reference occurred too low on the page for the
footnote to fit.

.le 6,RNO -- Footnote short on output page <number>
.s

After output of the footnote(s) on the indicated page, the page was
shorter than the current page length specification.  That is, a
=FOOTNOTE command overestimated the number of lines =required for the
footnote text.

.le 5,RNO -- Illegal command "<command>" on output page <number>
.s

The command is either unknown or is not acceptable in the
=existing context.  The output page is cited to help locate the
command in the source file.

.le 4,RNO -- Input file open failure
.s

The file system has detected an error while attempting to open
an input file.  One of the following conditions may exist:

.list 1
.le The file does not exist as specified.
.le The specified file directory does not exist.
.le The user file is protected against reading.
.le The volume is not mounted.
.le A problem exists with the physical device.
.els

.le 3,RNO -- Input file specification error
.s

An error exists in the input file specification.

.le 4,RNO -- Internal buffer overflow
.s

An internal text buffer has overflowed.  The probable cause is
that the text argument for a TITLE, SUBTITLE, PAGE NAME, CHAPTER,
APPENDIX, or DO INDEX command is longer than the maximum allowed
length.  When this error occurs, RUNOFF immediately stops
processing the input.

.le 5,RNO -- Long line in literal on output page <number>
.s

A line in the output has exceeded the right margin during processing
of a LITERAL section.  This is only a warning message--the long
line is not affected.

.le 4,RNO -- Not enough memory
.s

The buffer used for storage of the index and footnotes has
been filled even though the task has expanded itself as much
as possible.  You must delete some INDEX entries (or reduce
their length) or reduce the amount of FOOTNOTE text pending at
the point of the error.  When this error occurs, RUNOFF immedi=ately
stops processing the input.

.le 4,RNO -- Option active at EOF
.s

The end of an input file was encountered while an optional
section was being skipped.  That is, there was no #END OPTION#
for the last #OPTION# command.

.le 4,RNO -- Option setting ignored on output page <number>
.s

An INCLUDE or EXCLUDE command was encountered in the input file
which references an option set by a command-line switch.  This
message is a warning that RUNOFF is ignoring the command.  

.le 3,RNO -- Option switch error
.s

A value specified in an /IN or /EX switch is not valid.

.le 14,RNO -- Output file open failure
.s

The file system has detected an error while attempting to open the
output file.  One of the following conditions may exist:

.list 1
.le The specified file directory does not exist.
.le The user file directory is protected against opening.
.le The volume is not mounted.
.le The device is full or write protected.
.le A problem exists with the physical device.
.els

.le 4,RNO -- Output file specification error
.s

An error exists in the output file specification.

.els
.lm 0
.rm

.;MARGIN
.t
.st
.even (This page intentionally left blank.)
.appendix PAGE LAYOUT AND MARGIN CONTROL
.x ~>ZB PAGE LAYOUT AND MARGIN CONTROL
.x Margin>control
.x Margin>header
.x Margin>text
.x Page#>format
.x Page#>header
.x Page#>length

There are several parameters which RUNOFF uses to control the layout of
the pages of the output document.  These parameters are set with the
HEADER, ALTERNATE, LAYOUT, PAGE#SIZE (or PAPER#SIZE), LEFT#MARGIN, RIGHT
MARGIN, and STANDARD commands.

.st Vertical Positioning
.hl 1 ^&VERTICAL POSITIONING\&
.x ~>ZB.1 Vertical Positioning
.x Vertical positioning

The following parameters are used to position the output on the page
vertically.

.s 2.lm +23
.i -23
Top margin##########-- The number of blank lines which are output at the top
of each text page.

.s

This parameter is set by the LAYOUT command.  The initial value is 0.

.s.i -23
Header length#######-- Number of lines in page headers when they are =enabled.
That is, the number of lines from the title/page-number line down to the
first line of text.

.s

This parameter is set by the HEADER command.  The initial value is 5.

.s.i -23
Page length#########-- Maximum number of print lines on each page, =including
the header lines but ^&not\& including the lines of the top margin.

.s

This parameter is set by either the LAYOUT or PAGE SIZE
commands.  The initial value is 56.

.lm
.st Horizontal Positioning
.hl 1 ^&HORIZONTAL POSITIONING\&
.x ~>ZB.1 Horizontal Positioning
.x Horizontal positioning

The following parameters are used to position the output on the page
horizontally.

.s 2.tp 2,6.lm +23
.i -23
Base margin#########-- The number of spaces to be output between the far-left
print position of the output device to the column which is to be logically
considered column 0 by RUNOFF.  That is, this parameter sets the base from
which all other margins are =measured.

.s

This parameter is set by the LAYOUT command.  The initial value is 0.

.s.tp 3.i -23
Alternating offset##-- Number of spaces to be inserted at the left edge
of all lines of odd-numbered pages when pages are made to alternate
left/right.  That is, the base margin is increased by this amount on all
odd-numbered pages.

.s

This parameter is set by the ALTERNATE command.  The initial value is 0.

.s.tp 2.i -23
Page width #########-- Number of spaces from the base margin to the
default right margin.  That is, the page width is used whenever a default
is needed for the right margin.  The initial value is 60.

.s

This parameter is set by the LAYOUT and PAGE SIZE commands.  Whenever
this parameter is set, the header and text right margins are also set
(see below).

.s.tp 2.i -23
Header left margin #-- Number of spaces from the base margin to the left
edge of the header (e.g., the title).

.s

This parameter is set by the HEADER command.  The initial value is 0.

.s.tp 2.i -23
Header right margin -- Number of spaces from the base margin to the right
edge of the header (e.g., the page number).  The initial value is 60.

.s

This parameter is set by the HEADER command.  It is also set by the
STANDARD and PAGE SIZE commands, and when the page width is set by the
=LAYOUT command.

.s.tp 2.i -23
Text left margin####-- Number of spaces from the base margin to the left
edge of the text.  The initial value is 0.

.s

This parameter is set by the LEFT MARGIN command.  It is also set
by the STANDARD command.  The left margin is temporarily changed by
the LIST and NOTE commands.

.s.tp 2.i -23
Text right margin###-- Number of spaces from the base margin to the right
edge of the text.  The initial value is 60.

.s.tp 2,7,3

This parameter is set by the RIGHT#MARGIN command.  It is also set
by the STANDARD and PAGE SIZE commands and when the page width is
set with the LAYOUT command.  The right margin is temporarily changed
by the NOTE command, and it is ignored while a LITERAL section is
being processed.

.lm

.;CASE
.t
.st
.even (This page intentionally left blank.)
.appendix CASE INFORMATION
.x ~>ZC CASE INFORMATION
.x Case information

For files prepared on a terminal incapable of inputing lowercase
characters, specification of case can be done with two characters:
circumflex (_^ [136 octal]), and backslash (_\ [134 octal]).  The
appearance of a circumflex causes the letter immediately following to be
transmitted in uppercase.  The appearance of a backslash causes the
letter immediately following to be converted to lowercase.  Any letter
not preceded by one of these characters is transmitted in the current
mode.  The mode is initially uppercase, and is changed by the
occurrence of two successive case control characters.  Two circumflexes
(_^_^) cause the mode to be set to uppercase, and two backslashes
(_\_\) cause the mode to be set to lowercase.

.s

The use of the above corresponds to the use of the shift and
shift-lock keys on a typewriter.  Usually, typing appears
in lowercase.  To type one letter in uppercase, the shift
key is used.  The shift-lock is set to type a series of
uppercase letters, after which it is released.

.s

The following shows the uses of the case control characters:

.s
.i 6,^^_^HERE IS A _^SAMPLE _^SENTENCE IN _^_^UPPERCASE_\_\ AND LOWERCASE.\\
.s
becomes:
.s
.i 6,^HERE IS A ^SAMPLE ^SENTENCE IN ^^UPPERCASE\\ AND LOWERCASE.
.uc
.note

Case conversion takes place only on ASCII codes 101 to 132 octal, that
is, the uppercase letters.  Any actual lowercase letters (codes 141 to
172 octal) appearing in the source will be transmitted unchanged.  If
the source is prepared on a de=vice which produce letters of the proper
case, the mode should be set to uppercase at the beginning of the file
(that is, the default setting) and left unchanged for the =remainder.

.end note

An additional character, less-than (< [74 octal]), capitalizes the
=entire word it precedes.  It then returns the file to the current case.
This character is not engaged unless the FLAGS#CAPITALIZE command has
been issued.

.;SPECIAL CHARS
.t
.st
.even (This page intentionally left blank.)
.appendix SPECIAL CHARACTERS
.x ~>ZD SPECIAL CHARACTERS
.x Special characters

Below is a list of RUNOFF's special characters.  To appear in the output
text, each must be preceded by the quote character (itself a special
=character).

.lm +8
.s 2
.nf
.x Underbar character
.x #__  (quote character)
.x Quote character
##__	Quote a special character (1)

.footnote 3
.lm +6
.p -5,1
(1)##May be replaced by a user-selected character with the
QUOTE =CHARACTER command.
!
.x Circumflex character
.x Carat character
.x #_^  (shift character)
##_^	Shift character for uppercase; signal to begin
		underscoring (when followed by "_&")
         
.x Backslash character
.x #_\  (unlock character)
##_\	Shift character for lowercase; signal to end
		underscoring (when followed by "_&")

.x Number-sign character
.x #_#  (explicit-space character)
.x Quoted space
.x Explicit space
##_#	Quoted-space character

.x Ampersand character
.x #_&  (underscore character)
.x Underlining
##_&	Underscore (use "_^_&" and "_\_&" to start and stop
		continuous underscoring, respectively)

.x Equal-sign character
.x #_=  (hyphenation flag character)
.x Word>hyphenation
.x Hyphenation>disable/specification
.x Preferred hyphen
##_=	Flag character for disabling/specifying hyphenation (2)

.footnote 2
.p
(2)##Only becomes a special character if FLAGS HYPHENATE is engaged.
!
.x Less-than character
.x #_<  (capitalization character)
.x Word>capitalization
.x Capitalize word
##_<	Flag character for uppercase (3)

.footnote 2
.p
(3)##Only becomes a special character if FLAGS CAPITALIZE is engaged.
!
.x Greater-than character
.x #_>  (subindex flag character)
.x Subindex>flag character
##_>	Flag character for subindex (4)

.footnote 4
.p
(4)##Only a special character if FLAGS#SUBINDEX is engaged (initial
setting); and then, only a special character within ENTRY and INDEX
commands.
!
.f
.lm 0
.rm

.;INITIAL CONDITIONS
.t
.st
.even (This page intentionally left blank.)
.appendix INITIAL PARAMETER AND MODE SETTINGS
.x ~>ZE INITIAL PARAMETER AND MODE SETTINGS
.x Initial settings
.x Values>initial

The following list summarizes the conditions in effect when RUNOFF
=execution begins.

.lm +5
.s.nf

HEADER mixed,5,0,60
no TITLE
no SUBTITLE
AUTOSUBTITLE 0
no PAGE NAME
NO ALTERNATE
NO ALTERNATING TITLE

FILL
JUSTIFY
NO AUTOPARAGRAPH
HYPHENATION
NO FLAGS HYPHENATE
FLAGS SUBINDEX
PERIOD
FOOTNOTE LINE 15,__
QUOTE CHARACTER __
UPPER CASE
NO FLAGS CAPITALIZE

LAYOUT 0,56,0,60
PAGE SIZE 56,60
SPACING 1
LEFT MARGIN 0
RIGHT MARGIN 60
TAB STOPS 8,16,24,32,40,48,56,64,72,80,88,96,104,112,120,128,136
NUMBER 1
PARAGRAPH parameters:  indent _= 5, skip _= 1, test _= 2
LIST parameter:  skip _= 1
LIST ELEMENT parameter:  test _= 1

.nf.lm -5

.;LIST OF COMMANDS
.t
.st
.even (This page intentionally left blank.)
.appendix ALPHABETICAL LIST OF COMMANDS
.x ~>ZF ALPHABETICAL LIST OF COMMANDS
.x RUNOFF commands
.c (Although not noted here, many command arguments are optional.)
.s 2
.nf
^&Command__or__Abbreviation    Meaning__of__Abbrev.  Related__Command\&
.s
AL			   alternate
ALTERNATE <n> (AL)			       NO ALTERNATE
ALTERNATING TITLE (AT)			       NO ALTERNATING TITLE
AP			   autoparagraph
APPENDIX <text> (AX)			       NUMBER APPENDIX <letter>
AS			   autosubtitle
AT			   alternating title
AUTOPARAGRAPH (AP)			       NO AUTOPARAGRAPH
					       PARAGRAPH <n>,<v>,<t>
AUTOSUBTITLE <n> (AS)			       HEADER LEVEL <n>,<text>
AX			   appendix
.s 2.tp 2
B			   blank
BLANK <n> (B)				       SKIP <n>
BR			   break
BREAK (BR)
.s 2.tp 2
C			   center
CENTER <n>,<text> (C)
CENTRE			   center
CH			   chapter
CHAPTER	<text> (CH)			       NUMBER CHAPTER <n>
COMMENT <text> (; or !)
.s 2.tp 2
DO INDEX <text>	(DX)			       PRINT INDEX <number>
DX			   do index
.s 2.tp 2
ELI			   end literal
ELS			   end list
ELSE <n>				       OPTION <n>
EN			   end note
END LIST (ELS)				       LIST <n>
END LITERAL (ELI)			       LITERAL
END NOTE (EN)				       NOTE <n>,<text>
END OPTION <n> (ENDO)			       OPTION <n>
END SUBPAGE				       SUBPAGE
ENDO			   end option
ENTRY <text> (Y)			       INDEX <text>
EVEN <n>,<text>
EX			   exclude
EXCLUDE <n> (EX)			       OPTION <n>
.s 2.tp 2
F			   fill
FG			   figure
FIGURE <n> (FG)
FILL (F)				       NO FILL
FIRST TITLE <text> (FT)			       TITLE <text>
FNL			   footnote line
FLAGS CAPITALIZE (FL CAPITALIZE)	       NO FLAGS CAPITALIZE
FLAGS HYPHENATE (FL HYPHENATE)		       HYPHENATION
FLAGS SUBINDEX (FL SUBINDEX)		       NO FLAGS SUBINDEX
FN			   footnote
FOOTNOTE <n> (FN)			       FOOTNOTE LINE <n>,<char>
FOOTNOTE LINE <n>,<char> (FNL)		       FOOTNOTE <n>
FT			   first title
.s 2.tp 2
HD			   header
HEADER <style>,<len>,<lm>,<rm> (HD)	       NO HEADER
###[<style> _= UPPER, LOWER, MIXED or BLANK]
HEADER LEVEL <n>,<text> (HL)
HL			   header level
HY			   hyphenation
HYPHENATION (HY)			       NO HYPHENATION (NHY)
.s 2.tp 2
I			   indent
IN			   include
INCLUDE <n> (IN)			       OPTION <n>
INDENT <n>,<text> (I)
INDEX <text> (X)			       ENTRY <text>
.s 2.tp 2
J			   justify
JUSTIFY	(J)				       NO JUSTIFY
.s 2.tp 2
LAYOUT <top>,<len>,<left>,<right>	       LEFT/RIGHT MARGIN
LC			   lower case
LE			   list element
LEFT MARGIN <n>	(LM)			       CENTER
LIST <n> (LS)				       END LIST
LIST ELEMENT <n>,<text> (LE)		       LIST  and  END LIST
LIT			   literal
LITERAL	(LIT)				       END LITERAL
LM			   left margin
LOWER CASE (LC)				       UPPER CASE
LS			   list
.s 2.tp 2
NAL			   no alternate
NAP			   no autoparagraph
NAT			   no alternating title
NF			   no fill
NFC			   no flags capitalize
NFH			   no flags hyphenate
NFL			   no flags
NFS			   no flags subindex
NHD			   no header
NHY			   no hyphenation
NJ			   no justify
NM			   number
NNM			   no number
NO ALTERNATE (NAL)			       ALTERNATE <n>
NO ALTERNATING TITLE (NAT)		       ALTERNATING TITLE
NO AUTOPARAGRAPH (NAP)			       AUTOPARAGRAPH
NO FILL	(NF)				       FILL
NO FLAGS (NFL)				       FLAGS CAPITALIZE
					       FLAGS HYPHENATE
NO FLAGS CAPITALIZE (NFC)		       FLAGS CAPITALIZE
NO FLAGS HYPHENATE (NFH)		       FLAGS HYPHENATE
NO FLAGS SUBINDEX (NFS)			       FLAGS SUBINDEX
NO HEADER (NHD)				       HEADER ...
NO HYPHENATION (NHY)			       HYPHENATION
NO JUSTIFY (NJ)				       JUSTIFY
NO NUMBER (NNM)				       NUMBER <n>
NO PERIOD (NPR)				       PERIOD
NOTE <n>,<text> (NT)			       END NOTE
NPR			   no period
NT			   note
NUMBER <n> (NM)				       NO NUMBER
NUMBER APPENDIX	<char>			       APPENDIX	<text>
NUMBER CHAPTER <n>			       CHAPTER <text>
.s 2.tp 2
ODD <n>,<text>
OPT			   option
OPTION <n> (OPT)			       END OPTION <n>
.s 2.tp 2
P			   paragraph
PAGE (PG)
PAGE NAME <text> (PN)
PAGE SIZE <v>,<h> (PS)	   		       LAYOUT ...
PAPER SIZE <v>,<h> (PS)
PARAGRAPH <h>,<v>,<t> (P)		       AUTOPARAGRAPH
PERIOD (PR)				       NO PERIOD
PG			   page
PN			   page name
PR			   period
PRINT INDEX <h>,<v> (PX)		       DO INDEX	<text>
PS			   page size
PX			   print index
.s 2.tp 2
QC			   quote character
QUOTE CHARACTER <char> (QC)
.s 2.tp 2
RIGHT JUSTIFY <n>,<text> (RJ)		       RIGHT MARGIN
RIGHT MARGIN <n> (RM)
RJ			   right justify
RM			   right margin
.s 2.tp 2
S			   skip
SD			   standard
SK			   skip
SKIP <n> (S or SK)			       BLANK <n>
SP			   spacing
SPACING <n> (SP)
ST			   subtitle
STANDARD <n>
SUBPAGE					       END SUBPAGE
SUBTITLE <text> (ST or SUBTTL)
SUBTTL			   subtitle
.s 2.tp 2
T			   title
TAB STOPS <n1>,<n2>, ... (TS)
TEST PAGE <n1>,<n2>,<n3> (TP)
TITLE <text> (T)
TP			   test page
TS			   tab stops
.s 2.tp 2
UC			   upper case
UPPER CASE (UC)				       LOWER CASE
.s 2
X			   index
.s 2
Y			   entry
.f.lm 0.rm

.;INDEX
.t
.st
.even (This page intentionally left blank.)
.no number
.odd INDEX
.number appendix J
.number 2
.x ~>ZI INDEX
.page name Index

.s 3

.; Following lines will cause blank lines at end of real index

.y ZY>A>
.y ZY>B>
.y ZY>C>
.y ZY>D>
.y ZY>E>
.y ZY>F>

.print index ,2

.; ***  END OF FILE  ***
